2013-02-26 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/ja/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/reference.po: doc ja: translate po

2013-02-25 Kouhei Sutou <kou@clear-code.com>

	* lib/expr.c, .../not/key/double_array_trie/uint64.expected,
	.../query/not/key/double_array_trie/uint64.test,
	.../select/query/not/key/hash/uint64.expected,
	.../suite/select/query/not/key/hash/uint64.test,
	.../query/not/key/patricia_trie/uint64.expected,
	.../select/query/not/key/patricia_trie/uint64.test: Fix a bug that
	select --query _key:XXX for Int*/UInt* doesn't work  It is caused only
	TABLE_PAT_KEY because GRN_OP_GET_VALUE in grn_expr_exec() uses
	grn_obj_get_value_() (see the last "_") instead of
	grn_obj_get_value(). get_value_() is lighter version of get_value().
	get_value_() doesn't support key decoding. TABLE_PAT_KEY encodes
	int/uint/geo point/float key. So we can't use get_value_() for
	Int*/UInt*/*GeoPoint/Float.  This change uses get_value() to get
	column value. (_key is a pseudo column.)

2013-02-25 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/en/LC_MESSAGES/reference.po: doc en: update po

	* doc/source/reference/commands/column_rename.txt,
	doc/source/reference/commands/truncate.txt: doc en: use more proper
	name about return value

	* .../commands/column_rename/column_rename.log,
	doc/source/reference/commands/column_rename.txt: doc en: add missing
	documentation about column_rename command

	* .../reference/commands/truncate/truncate.log,
	doc/source/reference/commands/truncate.txt: doc en: add missing
	documentation about truncate command

	* packages/debian/changelog, packages/rpm/centos/groonga.spec.in,
	packages/rpm/fedora/groonga.spec.in: deb rpm: add 3.0.1 release entry

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/mac_os_x.txt,
	doc/source/install/others.txt, doc/source/install/solaris.txt,
	doc/source/install/ubuntu.txt, doc/source/install/windows.txt: doc:
	update version

2013-02-21 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, .../index/nested/by_column/range/key.expected,
	.../select/index/nested/by_column/range/key.test: Support range search
	for reference column by index  TABLE_PAT_KEY (or TABLE_DAT_KEY) based
	index of _key like  table_create Int8Tables TABLE_PAT_KEY Int8
	column_create Int8Tables index COLUMN_INDEX Int8Table _key  and ._key
	in --filter like  --filter 'score._key < 2'  are required.

2013-02-18 Kouhei Sutou <kou@clear-code.com>

	* lib/geo.c, .../select/sort/geo/distance/not_indexed.expected:
	Support sorting not indexed entries  Without this change, --sortby
	geo_distance(...) drops not indexed entries.

2013-02-15 Kouhei Sutou <kou@clear-code.com>

	* lib/geo.c, .../select/sort/geo/distance/not_indexed.expected,
	.../select/sort/geo/distance/not_indexed.test: Fix a crash bug that
	geo_distance() sort by index  If there is any not indexed GeoPoint
	entry, geo_distance() sort by index may cause a crash. Because it
	touches uninitialized area.  Not initialized GeoPoint value or
	initialized by 0x0 value are not indexed. If they aren't ignored,
	groonga may be crashed.

	* lib/expr.c, .../select/index/nested/by_column/and.expected,
	.../suite/select/index/nested/by_column/and.test: Support AND
	operation for nested index  "COLUMN1.COLUMN2 >= 1 && COLUMN1.COLUMN2
	<= 3" works by this change.  But "1 <= COLUMN1.COLUMN2 &&
	COLUMN1.COLUMN2 <= 3" doesn't work yet. It is evaluated as
	"COLUMN1.COLUMN2 <= 1 && COLUMN1.COLUMN2 <= 3". :<

2013-02-13 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, .../suite/load/bool/cast/wgs84_geo_point.expected,
	.../suite/load/bool/cast/wgs84_geo_point.test: Report error for Bool
	-> WGS84GeoPoint cast

	* lib/db.c, .../suite/load/bool/cast/tokyo_geo_point.expected,
	.../suite/load/bool/cast/tokyo_geo_point.test: Report error for Bool
	-> TokyoGeoPoint cast

	* lib/db.c, .../suite/load/bool/cast/long_text.expected,
	test/command/suite/load/bool/cast/long_text.test: Support Bool ->
	LongText cast

	* lib/db.c, test/command/suite/load/bool/cast/text.expected,
	test/command/suite/load/bool/cast/text.test: Support Bool -> Text cast

	* lib/db.c, .../suite/load/bool/cast/short_text.expected,
	test/command/suite/load/bool/cast/short_text.test: Support Bool ->
	ShortText cast

	* lib/db.c, test/command/suite/load/bool/cast/float.expected,
	test/command/suite/load/bool/cast/float.test: Support Bool -> Float
	cast

	* lib/db.c, test/command/suite/load/bool/cast/time.expected,
	test/command/suite/load/bool/cast/time.test: Support Bool -> Time cast

	* lib/db.c, test/command/suite/load/bool/cast/uint64.expected,
	test/command/suite/load/bool/cast/uint64.test: Support Bool -> UInt64
	cast

	* lib/db.c, test/command/suite/load/bool/cast/int64.expected,
	test/command/suite/load/bool/cast/int64.test: Support Bool -> Int64
	cast

	* lib/db.c, test/command/suite/load/bool/cast/uint32.expected,
	test/command/suite/load/bool/cast/uint32.test: Support Bool -> UInt32
	cast

	* lib/db.c, test/command/suite/load/bool/cast/int32.expected,
	test/command/suite/load/bool/cast/int32.test: Support Bool -> Int32
	cast

	* lib/db.c, test/command/suite/load/bool/cast/uint16.expected,
	test/command/suite/load/bool/cast/uint16.test: Support Bool -> UInt16
	cast

	* lib/db.c, test/command/suite/load/bool/cast/int16.expected,
	test/command/suite/load/bool/cast/int16.test: Support Bool -> Int16
	cast

	* lib/db.c, test/command/suite/load/bool/cast/uint8.expected,
	test/command/suite/load/bool/cast/uint8.test: Support Bool -> UInt8
	cast

	* lib/db.c, test/command/suite/load/bool/cast/int8.expected,
	test/command/suite/load/bool/cast/int8.test: Support Bool -> Int8 cast

	* lib/db.c, test/unit/core/test-cast-basic.c: Support bool -> bool
	cast

	* .../suite/load/bool/cast/reference.expected,
	test/command/suite/load/bool/cast/reference.test,
	.../suite/load/bool/scalar/reference.expected,
	test/command/suite/load/bool/scalar/reference.test: test: use "cast"
	for test directory  Because "cast" is more important rather than
	"scalar" column.

	* lib/db.c, .../suite/load/bool/scalar/reference.expected,
	test/command/suite/load/bool/scalar/reference.test: Support bool ->
	record cast

2013-02-07 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, .../load/invalid/in_mid_brace/vector.expected,
	.../suite/load/invalid/in_mid_brace/vector.test,
	.../load/invalid/in_mid_bracket/vector.expected,
	.../suite/load/invalid/in_mid_bracket/vector.test: load: reset set
	value error for each column  This was done for scalar column but
	vector column wasn't cared. :<

	* .../suite/load/invalid/in_mid_brace.expected,
	test/command/suite/load/invalid/in_mid_brace.test,
	.../load/invalid/in_mid_brace/scalar.expected,
	.../suite/load/invalid/in_mid_brace/scalar.test,
	.../suite/load/invalid/in_mid_bracket.expected,
	.../command/suite/load/invalid/in_mid_bracket.test,
	.../load/invalid/in_mid_bracket/scalar.expected,
	.../suite/load/invalid/in_mid_bracket/scalar.test: test: create
	directories for in_mid_{brace,bracket}

2013-02-07 Daijiro MORI <daijiro.mori@gmail.com>

	* include/groonga.h, lib/hash.c, lib/hash.h, plugins/table/table.c:
	Add grn_array_push and grn_array_pull

2013-02-06 Kouhei Sutou <kou@clear-code.com>

	* .../select/index/multi_column/weight.expected,
	.../suite/select/index/multi_column/weight.test: test: add a test for
	multi column index

2013-02-05 HAYASHI Kentaro <hayashi@clear-code.com>

	* .../example/reference/normalizers/normalizer-mysql-genral-ci.log,
	.../example/reference/normalizers/normalizer-mysql-register.log: doc:
	add execution examples

	* doc/locale/ja/LC_MESSAGES/install.po,
	doc/locale/ja/LC_MESSAGES/reference.po: doc: translate po

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/ubuntu.txt: doc: add
	install procedure about groonga-normalizer-mysql

2013-02-05 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, test/unit/core/test-table-cursor.c: Add missing min/max
	normalization to grn_table_cursor_open()  min and max are key values.
	So we cannot find records without key normalization.

2013-02-04 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po: doc: update po

2013-02-04 Kouhei Sutou <kou@clear-code.com>

	* lib/expr.c, test/command/suite/select/filter/literal/int64.expected,
	test/command/suite/select/filter/literal/int64.test: Fix a bug that
	int64 literal is truncated to uint32  Workaround for the bug: Use
	string literal such as  "20130204150"  instead of  20130204150  The
	string literal is casted when it is used. It doesn't face the bug.

	* include/groonga/plugin.h, include/groonga/tokenizer.h, lib/plugin.c,
	lib/tokenizer.c: Move generic functions to grn_plugin_* from
	grn_tokenizer_*  grn_tokenizer_charlen() -> grn_plugin_charlen()
	grn_tokenizer_isspace() -> grn_plugin_isspace()  They are not
	tokenizer specific functions. They are useful for normalizer. So the
	prefix is changed to grn_plugin_.  grn_tokenizer_*() still exists for
	backward compatibility. Use grn_plugin_*() for newly written code.

2013-02-04 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/mac_os_x.txt,
	doc/source/install/others.txt, doc/source/install/solaris.txt,
	doc/source/install/ubuntu.txt, doc/source/install/windows.txt: doc en:
	update version

	* packages/debian/changelog, packages/rpm/centos/groonga.spec.in,
	packages/rpm/fedora/groonga.spec.in: deb rpm: add 3.0.0 entry

2013-02-01 Kouhei Sutou <kou@clear-code.com>

	* lib/proc.c, test/command/suite/normalize/ascii.expected,
	test/command/suite/normalize/remove_blank.expected,
	.../normalize/remove_tokenized_delimiter.expected,
	test/command/suite/normalize/with_types.expected,
	test/command/suite/normalize/with_types.test: normalize: support types
	output

	* include/groonga/nfkc.h, lib/nfkc.c, lib/nfkc.rb, lib/normalizer.c,
	lib/str.c: ctype -> char type

	* include/groonga/nfkc.h, lib/nfkc.c, lib/normalizer.c, lib/str.c:
	Export grn_nfkc_ctype()

	* include/groonga/nfkc.h, lib/nfkc.c, lib/normalizer.c, lib/str.c,
	lib/token.c: Use GRN_CHAR_XXX instead of obsoleted grn_str_xxx

	* include/groonga/Makefile.am, include/groonga/nfkc.h, lib/nfkc.c,
	lib/nfkc.h, lib/sources.am, lib/str.h: Install nfkc.h for
	groonga-normalizer-mysql

	* lib/proc.c, test/command/suite/normalize/remove_blank.expected,
	test/command/suite/normalize/remove_blank.test,
	.../normalize/remove_tokenized_delimiter.expected,
	.../normalize/remove_tokenized_delimiter.test: normalize: support
	flags  TODO: * GRN_STRING_WITH_TYPES should be outputted and tested. *
	GRN_STRING_WITH_CHECKS should be outputted and tested. *
	"FLAG1|FLAG2|..." pattern should be tested. * "FLAG1 | FLAG2 | ..."
	pattern should be tested.

	* include/groonga.h, lib/normalizer.c: Use upcase for enum values

2013-01-31 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, lib/plugin.c: Add missing GRN_ID_NIL check for plugin

2013-01-28 HAYASHI Kentaro <hayashi@clear-code.com>

	* .../commands/normalize/normalizer_auto_ascii.log,
	doc/source/reference/commands/normalize.txt: doc en: update to newer
	documentation style

	* doc/locale/en/LC_MESSAGES/reference.po,
	doc/source/reference/commands/normalize.txt: doc en: fix a typo

	* doc/source/reference/commands/cache_limit.txt,
	doc/source/reference/commands/check.txt,
	doc/source/reference/commands/clearlock.txt,
	doc/source/reference/commands/column_create.txt,
	doc/source/reference/commands/column_remove.txt,
	doc/source/reference/commands/define_selector.txt,
	doc/source/reference/commands/defrag.txt,
	doc/source/reference/commands/delete.txt,
	doc/source/reference/commands/log_level.txt,
	doc/source/reference/commands/log_put.txt,
	doc/source/reference/commands/log_reopen.txt,
	doc/source/reference/commands/status.txt,
	doc/source/reference/commands/table_remove.txt: doc: fix indent

2013-01-25 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/en/LC_MESSAGES/reference.po: doc en: update po

2013-01-25 Kouhei Sutou <kou@clear-code.com>

	* include/groonga.h, lib/ctx.c, lib/str.c, lib/str.h, src/groonga.c:
	Export grn_strtoenc()  grn_strtoenc() -> grn_encoding_parse()  Use
	grn_encoding_ prefix for public API.

	* include/groonga.h, lib/str.c, lib/str.h, plugins/tokenizers/mecab.c,
	src/groonga.c, test/unit/lib/grn-assertions.c: Export grn_enctostr()
	grn_enctostr() -> grn_encoding_to_string()  Use grn_encoding_ prefix
	for public API.

2013-01-25 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po: doc: update po

	* .../reference/functions/query/usage_basic.log,
	.../reference/functions/query/usage_setup_data.log,
	.../functions/query/usage_setup_schema.log,
	.../reference/functions/query/usage_with_query.log,
	.../functions/query/usage_without_query.log,
	doc/source/reference/functions/query.txt: doc en: add documentation
	about query function

2013-01-24 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/ja/LC_MESSAGES/install.po,
	doc/locale/ja/LC_MESSAGES/news.po: doc ja: update recent modified
	entry

	* doc/locale/en/LC_MESSAGES/install.po,
	doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/en/LC_MESSAGES/reference.po,
	doc/locale/en/LC_MESSAGES/server.po: doc en: update po

	* doc/source/server.txt, doc/source/server/package.txt: doc en: add
	documentation about server packages

2013-01-24 Kouhei Sutou <kou@clear-code.com>

	* LEGAL, configure.ac, plugins/CMakeLists.txt, plugins/Makefile.am,
	plugins/normalizers/CMakeLists.txt, plugins/normalizers/Makefile.am,
	plugins/normalizers/mysql.c, plugins/normalizers/mysql_sources.am,
	.../normalizers/mysql/general_ci/plane00.expected,
	.../normalizers/mysql/general_ci/plane00.test: Remove
	normalizers/mysql  It has been moved to
	groonga/groonga-nomralizer-mysql.

	* .../index/nested/by_column/range/array.expected,
	.../select/index/nested/by_column/range/array.test,
	.../by_column/range/double_array_trie.expected,
	.../nested/by_column/range/double_array_trie.test,
	.../nested/by_column/range/patricia_trie.expected,
	.../nested/by_column/range/patricia_trie.test: test: add tests for
	nested range search with all other table types

	* .../select/index/nested/by_column/range.expected,
	.../suite/select/index/nested/by_column/range.test,
	.../index/nested/by_column/range/hash.expected,
	.../select/index/nested/by_column/range/hash.test: test: create a
	directory for nested range search tests

2013-01-23 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/install/fedora.txt, doc/source/news.txt: doc en: add
	Fedora 18 support

2013-01-23 Kouhei Sutou <kou@clear-code.com>

	* configure.ac, plugins/CMakeLists.txt, plugins/Makefile.am,
	plugins/normalizers/CMakeLists.txt, plugins/normalizers/Makefile.am,
	plugins/normalizers/mysql.c, plugins/normalizers/mysql_sources.am,
	.../normalizers/mysql/general_ci/plane00.expected,
	.../normalizers/mysql/general_ci/plane00.test: normalizer: add
	MySQLGeneralCI normalizer  It is an EXPERIMENTAL normalizer! It works
	with a simple test but it should be tested with more data!

	* lib/proc.c, test/command/suite/normalize/ascii.expected,
	test/command/suite/normalize/ascii.test: Add "normalize" command  It
	normalizes the specified string by the specified normalizer:
	normalize NormalizerAuto "aBcDe 123" [[0,0.0,0.0],"abcde 123"]  Is is
	useful to confirm normalizer behavior because it doesn't require
	creating a table.  TODO: * Document it * Add tests for non-ASCII
	characters * Support flags

2013-01-23 HAYASHI Kentaro <hayashi@clear-code.com>

	* packages/yum/build-in-chroot.sh, packages/yum/build-release-rpm.sh:
	yum: support Fedora 18

2013-01-22 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/ja/LC_MESSAGES/contribution.po,
	doc/locale/ja/LC_MESSAGES/install.po: doc ja: translate po

2013-01-22 Kouhei Sutou <kou@clear-code.com>

	* lib/geo.c, .../sort/geo/distance/with_condition.expected,
	.../select/sort/geo/distance/with_condition.test,
	.../sort/geo/distance/without_condition.expected,
	.../sort/geo/distance/without_condition.test: Fix broken geo sort

2013-01-22 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/contribution.po,
	doc/locale/en/LC_MESSAGES/install.po,
	doc/locale/en/LC_MESSAGES/reference.po: doc en: update po

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/mac_os_x.txt,
	doc/source/install/others.txt, doc/source/install/solaris.txt,
	doc/source/install/ubuntu.txt, doc/source/install/windows.txt: doc:
	update version

	* packages/debian/changelog, packages/rpm/centos/groonga.spec.in,
	packages/rpm/fedora/groonga.spec.in: deb rpm: add 2.1.2 entry

2013-01-21 Kouhei Sutou <kou@clear-code.com>

	* plugins/suggest/suggest.c, test/unit/util/test-string.c: Use
	grn_string_open() instead of deprecated grn_str_open()  grn_str_open()
	is deprecated but it should not be removed.

	* lib/str.c, plugins/suggest/suggest.c, test/unit/util/test-string.c:
	Remove deprecated grn_str_open()

	* configure.ac, lib/mrb.c: mruby: disable mruby by default

2013-01-17 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, lib/expr.c,
	.../select/index/nested/by_column/range.expected,
	.../suite/select/index/nested/by_column/range.test: Support nested
	index range search  --filter 'column1.column2....columnN <=
	"1988-01-04 00:00:00"' is supported.

	* lib/expr.c, .../select/filter/vector/not_initialized.expected,
	.../select/filter/vector/not_initialized.test: Fix a crash bug  It is
	caused when not initialized vector value is used as condition.

	* .gitignore, nginx_version, vendor/nginx-1.2.1/CHANGES,
	vendor/nginx-1.2.1/CHANGES.ru, vendor/nginx-1.2.1/LICENSE,
	vendor/nginx-1.2.1/README, vendor/nginx-1.2.1/auto/cc/acc,
	vendor/nginx-1.2.1/auto/cc/bcc, vendor/nginx-1.2.1/auto/cc/ccc,
	vendor/nginx-1.2.1/auto/cc/conf, vendor/nginx-1.2.1/auto/cc/gcc,
	vendor/nginx-1.2.1/auto/cc/icc, vendor/nginx-1.2.1/auto/cc/msvc,
	vendor/nginx-1.2.1/auto/cc/name, vendor/nginx-1.2.1/auto/cc/owc,
	vendor/nginx-1.2.1/auto/cc/sunc, vendor/nginx-1.2.1/auto/define,
	vendor/nginx-1.2.1/auto/endianess, vendor/nginx-1.2.1/auto/feature,
	vendor/nginx-1.2.1/auto/have, vendor/nginx-1.2.1/auto/have_headers,
	vendor/nginx-1.2.1/auto/headers, vendor/nginx-1.2.1/auto/include,
	vendor/nginx-1.2.1/auto/init, vendor/nginx-1.2.1/auto/install,
	vendor/nginx-1.2.1/auto/lib/conf,
	vendor/nginx-1.2.1/auto/lib/geoip/conf,
	vendor/nginx-1.2.1/auto/lib/google-perftools/conf,
	vendor/nginx-1.2.1/auto/lib/libatomic/conf,
	vendor/nginx-1.2.1/auto/lib/libatomic/make,
	vendor/nginx-1.2.1/auto/lib/libgd/conf,
	vendor/nginx-1.2.1/auto/lib/libxslt/conf,
	vendor/nginx-1.2.1/auto/lib/make,
	vendor/nginx-1.2.1/auto/lib/md5/conf,
	vendor/nginx-1.2.1/auto/lib/md5/make,
	vendor/nginx-1.2.1/auto/lib/md5/makefile.bcc,
	vendor/nginx-1.2.1/auto/lib/md5/makefile.msvc,
	vendor/nginx-1.2.1/auto/lib/md5/makefile.owc,
	vendor/nginx-1.2.1/auto/lib/openssl/conf,
	vendor/nginx-1.2.1/auto/lib/openssl/make,
	vendor/nginx-1.2.1/auto/lib/openssl/makefile.bcc,
	vendor/nginx-1.2.1/auto/lib/openssl/makefile.msvc,
	vendor/nginx-1.2.1/auto/lib/pcre/conf,
	vendor/nginx-1.2.1/auto/lib/pcre/make,
	vendor/nginx-1.2.1/auto/lib/pcre/makefile.bcc,
	vendor/nginx-1.2.1/auto/lib/pcre/makefile.msvc,
	vendor/nginx-1.2.1/auto/lib/pcre/makefile.owc,
	vendor/nginx-1.2.1/auto/lib/perl/conf,
	vendor/nginx-1.2.1/auto/lib/perl/make,
	vendor/nginx-1.2.1/auto/lib/sha1/conf,
	vendor/nginx-1.2.1/auto/lib/sha1/make,
	vendor/nginx-1.2.1/auto/lib/sha1/makefile.bcc,
	vendor/nginx-1.2.1/auto/lib/sha1/makefile.msvc,
	vendor/nginx-1.2.1/auto/lib/sha1/makefile.owc,
	vendor/nginx-1.2.1/auto/lib/test,
	vendor/nginx-1.2.1/auto/lib/zlib/conf,
	vendor/nginx-1.2.1/auto/lib/zlib/make,
	vendor/nginx-1.2.1/auto/lib/zlib/makefile.bcc,
	vendor/nginx-1.2.1/auto/lib/zlib/makefile.msvc,
	vendor/nginx-1.2.1/auto/lib/zlib/makefile.owc,
	vendor/nginx-1.2.1/auto/lib/zlib/patch.zlib.h,
	vendor/nginx-1.2.1/auto/make, vendor/nginx-1.2.1/auto/modules,
	vendor/nginx-1.2.1/auto/nohave, vendor/nginx-1.2.1/auto/options,
	vendor/nginx-1.2.1/auto/os/conf, vendor/nginx-1.2.1/auto/os/darwin,
	vendor/nginx-1.2.1/auto/os/freebsd, vendor/nginx-1.2.1/auto/os/linux,
	vendor/nginx-1.2.1/auto/os/solaris, vendor/nginx-1.2.1/auto/os/win32,
	vendor/nginx-1.2.1/auto/sources, vendor/nginx-1.2.1/auto/stubs,
	vendor/nginx-1.2.1/auto/summary, vendor/nginx-1.2.1/auto/types/sizeof,
	vendor/nginx-1.2.1/auto/types/typedef,
	vendor/nginx-1.2.1/auto/types/uintptr_t,
	vendor/nginx-1.2.1/auto/types/value, vendor/nginx-1.2.1/auto/unix,
	vendor/nginx-1.2.1/conf/fastcgi.conf,
	vendor/nginx-1.2.1/conf/fastcgi_params,
	vendor/nginx-1.2.1/conf/koi-utf, vendor/nginx-1.2.1/conf/koi-win,
	vendor/nginx-1.2.1/conf/mime.types,
	vendor/nginx-1.2.1/conf/nginx.conf,
	vendor/nginx-1.2.1/conf/scgi_params,
	vendor/nginx-1.2.1/conf/uwsgi_params, vendor/nginx-1.2.1/conf/win-utf,
	vendor/nginx-1.2.1/configure, vendor/nginx-1.2.1/contrib/README,
	vendor/nginx-1.2.1/contrib/geo2nginx.pl,
	vendor/nginx-1.2.1/contrib/unicode2nginx/koi-utf,
	.../contrib/unicode2nginx/unicode-to-nginx.pl,
	vendor/nginx-1.2.1/contrib/unicode2nginx/win-utf,
	vendor/nginx-1.2.1/html/50x.html, vendor/nginx-1.2.1/html/index.html,
	vendor/nginx-1.2.1/man/nginx.8, vendor/nginx-1.2.1/src/core/nginx.c,
	vendor/nginx-1.2.1/src/core/nginx.h,
	vendor/nginx-1.2.1/src/core/ngx_array.c,
	vendor/nginx-1.2.1/src/core/ngx_array.h,
	vendor/nginx-1.2.1/src/core/ngx_buf.c,
	vendor/nginx-1.2.1/src/core/ngx_buf.h,
	vendor/nginx-1.2.1/src/core/ngx_conf_file.c,
	vendor/nginx-1.2.1/src/core/ngx_conf_file.h,
	vendor/nginx-1.2.1/src/core/ngx_config.h,
	vendor/nginx-1.2.1/src/core/ngx_connection.c,
	vendor/nginx-1.2.1/src/core/ngx_connection.h,
	vendor/nginx-1.2.1/src/core/ngx_core.h,
	vendor/nginx-1.2.1/src/core/ngx_cpuinfo.c,
	vendor/nginx-1.2.1/src/core/ngx_crc.h,
	vendor/nginx-1.2.1/src/core/ngx_crc32.c,
	vendor/nginx-1.2.1/src/core/ngx_crc32.h,
	vendor/nginx-1.2.1/src/core/ngx_crypt.c,
	vendor/nginx-1.2.1/src/core/ngx_crypt.h,
	vendor/nginx-1.2.1/src/core/ngx_cycle.c,
	vendor/nginx-1.2.1/src/core/ngx_cycle.h,
	vendor/nginx-1.2.1/src/core/ngx_file.c,
	vendor/nginx-1.2.1/src/core/ngx_file.h,
	vendor/nginx-1.2.1/src/core/ngx_hash.c,
	vendor/nginx-1.2.1/src/core/ngx_hash.h,
	vendor/nginx-1.2.1/src/core/ngx_inet.c,
	vendor/nginx-1.2.1/src/core/ngx_inet.h,
	vendor/nginx-1.2.1/src/core/ngx_list.c,
	vendor/nginx-1.2.1/src/core/ngx_list.h,
	vendor/nginx-1.2.1/src/core/ngx_log.c,
	vendor/nginx-1.2.1/src/core/ngx_log.h,
	vendor/nginx-1.2.1/src/core/ngx_md5.c,
	vendor/nginx-1.2.1/src/core/ngx_md5.h,
	vendor/nginx-1.2.1/src/core/ngx_murmurhash.c,
	vendor/nginx-1.2.1/src/core/ngx_murmurhash.h,
	vendor/nginx-1.2.1/src/core/ngx_open_file_cache.c,
	vendor/nginx-1.2.1/src/core/ngx_open_file_cache.h,
	vendor/nginx-1.2.1/src/core/ngx_output_chain.c,
	vendor/nginx-1.2.1/src/core/ngx_palloc.c,
	vendor/nginx-1.2.1/src/core/ngx_palloc.h,
	vendor/nginx-1.2.1/src/core/ngx_parse.c,
	vendor/nginx-1.2.1/src/core/ngx_parse.h,
	vendor/nginx-1.2.1/src/core/ngx_queue.c,
	vendor/nginx-1.2.1/src/core/ngx_queue.h,
	vendor/nginx-1.2.1/src/core/ngx_radix_tree.c,
	vendor/nginx-1.2.1/src/core/ngx_radix_tree.h,
	vendor/nginx-1.2.1/src/core/ngx_rbtree.c,
	vendor/nginx-1.2.1/src/core/ngx_rbtree.h,
	vendor/nginx-1.2.1/src/core/ngx_regex.c,
	vendor/nginx-1.2.1/src/core/ngx_regex.h,
	vendor/nginx-1.2.1/src/core/ngx_resolver.c,
	vendor/nginx-1.2.1/src/core/ngx_resolver.h,
	vendor/nginx-1.2.1/src/core/ngx_sha1.h,
	vendor/nginx-1.2.1/src/core/ngx_shmtx.c,
	vendor/nginx-1.2.1/src/core/ngx_shmtx.h,
	vendor/nginx-1.2.1/src/core/ngx_slab.c,
	vendor/nginx-1.2.1/src/core/ngx_slab.h,
	vendor/nginx-1.2.1/src/core/ngx_spinlock.c,
	vendor/nginx-1.2.1/src/core/ngx_string.c,
	vendor/nginx-1.2.1/src/core/ngx_string.h,
	vendor/nginx-1.2.1/src/core/ngx_times.c,
	vendor/nginx-1.2.1/src/core/ngx_times.h,
	.../nginx-1.2.1/src/event/modules/ngx_aio_module.c,
	.../src/event/modules/ngx_devpoll_module.c,
	.../src/event/modules/ngx_epoll_module.c,
	.../src/event/modules/ngx_eventport_module.c,
	.../src/event/modules/ngx_kqueue_module.c,
	.../src/event/modules/ngx_poll_module.c,
	.../src/event/modules/ngx_rtsig_module.c,
	.../src/event/modules/ngx_select_module.c,
	.../src/event/modules/ngx_win32_select_module.c,
	vendor/nginx-1.2.1/src/event/ngx_event.c,
	vendor/nginx-1.2.1/src/event/ngx_event.h,
	vendor/nginx-1.2.1/src/event/ngx_event_accept.c,
	vendor/nginx-1.2.1/src/event/ngx_event_busy_lock.c,
	vendor/nginx-1.2.1/src/event/ngx_event_busy_lock.h,
	vendor/nginx-1.2.1/src/event/ngx_event_connect.c,
	vendor/nginx-1.2.1/src/event/ngx_event_connect.h,
	vendor/nginx-1.2.1/src/event/ngx_event_mutex.c,
	vendor/nginx-1.2.1/src/event/ngx_event_openssl.c,
	vendor/nginx-1.2.1/src/event/ngx_event_openssl.h,
	vendor/nginx-1.2.1/src/event/ngx_event_pipe.c,
	vendor/nginx-1.2.1/src/event/ngx_event_pipe.h,
	vendor/nginx-1.2.1/src/event/ngx_event_posted.c,
	vendor/nginx-1.2.1/src/event/ngx_event_posted.h,
	vendor/nginx-1.2.1/src/event/ngx_event_timer.c,
	vendor/nginx-1.2.1/src/event/ngx_event_timer.h,
	.../src/http/modules/ngx_http_access_module.c,
	.../http/modules/ngx_http_addition_filter_module.c,
	.../src/http/modules/ngx_http_auth_basic_module.c,
	.../src/http/modules/ngx_http_autoindex_module.c,
	.../src/http/modules/ngx_http_browser_module.c,
	.../http/modules/ngx_http_charset_filter_module.c,
	.../http/modules/ngx_http_chunked_filter_module.c,
	.../src/http/modules/ngx_http_dav_module.c,
	.../src/http/modules/ngx_http_degradation_module.c,
	.../src/http/modules/ngx_http_empty_gif_module.c,
	.../src/http/modules/ngx_http_fastcgi_module.c,
	.../src/http/modules/ngx_http_flv_module.c,
	.../src/http/modules/ngx_http_geo_module.c,
	.../src/http/modules/ngx_http_geoip_module.c,
	.../src/http/modules/ngx_http_gzip_filter_module.c,
	.../src/http/modules/ngx_http_gzip_static_module.c,
	.../http/modules/ngx_http_headers_filter_module.c,
	.../http/modules/ngx_http_image_filter_module.c,
	.../src/http/modules/ngx_http_index_module.c,
	.../src/http/modules/ngx_http_limit_conn_module.c,
	.../src/http/modules/ngx_http_limit_req_module.c,
	.../src/http/modules/ngx_http_log_module.c,
	.../src/http/modules/ngx_http_map_module.c,
	.../src/http/modules/ngx_http_memcached_module.c,
	.../src/http/modules/ngx_http_mp4_module.c,
	.../modules/ngx_http_not_modified_filter_module.c,
	.../src/http/modules/ngx_http_proxy_module.c,
	.../http/modules/ngx_http_random_index_module.c,
	.../http/modules/ngx_http_range_filter_module.c,
	.../src/http/modules/ngx_http_realip_module.c,
	.../src/http/modules/ngx_http_referer_module.c,
	.../src/http/modules/ngx_http_rewrite_module.c,
	.../src/http/modules/ngx_http_scgi_module.c,
	.../src/http/modules/ngx_http_secure_link_module.c,
	.../http/modules/ngx_http_split_clients_module.c,
	.../src/http/modules/ngx_http_ssi_filter_module.c,
	.../src/http/modules/ngx_http_ssi_filter_module.h,
	.../src/http/modules/ngx_http_ssl_module.c,
	.../src/http/modules/ngx_http_ssl_module.h,
	.../src/http/modules/ngx_http_static_module.c,
	.../src/http/modules/ngx_http_stub_status_module.c,
	.../src/http/modules/ngx_http_sub_filter_module.c,
	.../modules/ngx_http_upstream_ip_hash_module.c,
	.../modules/ngx_http_upstream_keepalive_module.c,
	.../http/modules/ngx_http_userid_filter_module.c,
	.../src/http/modules/ngx_http_uwsgi_module.c,
	.../src/http/modules/ngx_http_xslt_filter_module.c,
	.../nginx-1.2.1/src/http/modules/perl/Makefile.PL,
	vendor/nginx-1.2.1/src/http/modules/perl/nginx.pm,
	vendor/nginx-1.2.1/src/http/modules/perl/nginx.xs,
	.../src/http/modules/perl/ngx_http_perl_module.c,
	.../src/http/modules/perl/ngx_http_perl_module.h,
	vendor/nginx-1.2.1/src/http/modules/perl/typemap,
	vendor/nginx-1.2.1/src/http/ngx_http.c,
	vendor/nginx-1.2.1/src/http/ngx_http.h,
	vendor/nginx-1.2.1/src/http/ngx_http_busy_lock.c,
	vendor/nginx-1.2.1/src/http/ngx_http_busy_lock.h,
	vendor/nginx-1.2.1/src/http/ngx_http_cache.h,
	vendor/nginx-1.2.1/src/http/ngx_http_config.h,
	.../src/http/ngx_http_copy_filter_module.c,
	vendor/nginx-1.2.1/src/http/ngx_http_core_module.c,
	vendor/nginx-1.2.1/src/http/ngx_http_core_module.h,
	vendor/nginx-1.2.1/src/http/ngx_http_file_cache.c,
	.../src/http/ngx_http_header_filter_module.c,
	vendor/nginx-1.2.1/src/http/ngx_http_parse.c,
	vendor/nginx-1.2.1/src/http/ngx_http_parse_time.c,
	.../src/http/ngx_http_postpone_filter_module.c,
	vendor/nginx-1.2.1/src/http/ngx_http_request.c,
	vendor/nginx-1.2.1/src/http/ngx_http_request.h,
	.../nginx-1.2.1/src/http/ngx_http_request_body.c,
	vendor/nginx-1.2.1/src/http/ngx_http_script.c,
	vendor/nginx-1.2.1/src/http/ngx_http_script.h,
	.../src/http/ngx_http_special_response.c,
	vendor/nginx-1.2.1/src/http/ngx_http_upstream.c,
	vendor/nginx-1.2.1/src/http/ngx_http_upstream.h,
	.../src/http/ngx_http_upstream_round_robin.c,
	.../src/http/ngx_http_upstream_round_robin.h,
	vendor/nginx-1.2.1/src/http/ngx_http_variables.c,
	vendor/nginx-1.2.1/src/http/ngx_http_variables.h,
	.../src/http/ngx_http_write_filter_module.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail.h,
	.../src/mail/ngx_mail_auth_http_module.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_core_module.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_handler.c,
	.../nginx-1.2.1/src/mail/ngx_mail_imap_handler.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_imap_module.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_imap_module.h,
	vendor/nginx-1.2.1/src/mail/ngx_mail_parse.c,
	.../nginx-1.2.1/src/mail/ngx_mail_pop3_handler.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_pop3_module.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_pop3_module.h,
	.../nginx-1.2.1/src/mail/ngx_mail_proxy_module.c,
	.../nginx-1.2.1/src/mail/ngx_mail_smtp_handler.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_smtp_module.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_smtp_module.h,
	vendor/nginx-1.2.1/src/mail/ngx_mail_ssl_module.c,
	vendor/nginx-1.2.1/src/mail/ngx_mail_ssl_module.h,
	.../nginx-1.2.1/src/misc/ngx_cpp_test_module.cpp,
	.../src/misc/ngx_google_perftools_module.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_aio_read.c,
	.../nginx-1.2.1/src/os/unix/ngx_aio_read_chain.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_aio_write.c,
	.../nginx-1.2.1/src/os/unix/ngx_aio_write_chain.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_alloc.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_alloc.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_atomic.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_channel.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_channel.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_daemon.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_darwin.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_darwin_config.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_darwin_init.c,
	.../src/os/unix/ngx_darwin_sendfile_chain.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_errno.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_errno.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_file_aio_read.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_files.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_files.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_freebsd.h,
	.../nginx-1.2.1/src/os/unix/ngx_freebsd_config.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_freebsd_init.c,
	.../src/os/unix/ngx_freebsd_rfork_thread.c,
	.../src/os/unix/ngx_freebsd_rfork_thread.h,
	.../src/os/unix/ngx_freebsd_sendfile_chain.c,
	.../nginx-1.2.1/src/os/unix/ngx_gcc_atomic_amd64.h,
	.../nginx-1.2.1/src/os/unix/ngx_gcc_atomic_ppc.h,
	.../src/os/unix/ngx_gcc_atomic_sparc64.h,
	.../nginx-1.2.1/src/os/unix/ngx_gcc_atomic_x86.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_linux.h,
	.../nginx-1.2.1/src/os/unix/ngx_linux_aio_read.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_linux_config.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_linux_init.c,
	.../src/os/unix/ngx_linux_sendfile_chain.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_os.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_posix_config.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_posix_init.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_process.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_process.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_process_cycle.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_process_cycle.h,
	.../nginx-1.2.1/src/os/unix/ngx_pthread_thread.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_readv_chain.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_recv.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_send.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_setaffinity.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_setaffinity.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_setproctitle.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_setproctitle.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_shmem.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_shmem.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_socket.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_socket.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_solaris.h,
	.../nginx-1.2.1/src/os/unix/ngx_solaris_config.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_solaris_init.c,
	.../src/os/unix/ngx_solaris_sendfilev_chain.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_sunpro_amd64.il,
	.../src/os/unix/ngx_sunpro_atomic_sparc64.h,
	.../nginx-1.2.1/src/os/unix/ngx_sunpro_sparc64.il,
	vendor/nginx-1.2.1/src/os/unix/ngx_sunpro_x86.il,
	vendor/nginx-1.2.1/src/os/unix/ngx_thread.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_time.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_time.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_udp_recv.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_user.c,
	vendor/nginx-1.2.1/src/os/unix/ngx_user.h,
	vendor/nginx-1.2.1/src/os/unix/ngx_writev_chain.c,
	vendor/nginx-1.2.1/src/os/unix/rfork_thread.S,
	vendor/nginx-1.2.6/CHANGES, vendor/nginx-1.2.6/CHANGES.ru,
	vendor/nginx-1.2.6/LICENSE, vendor/nginx-1.2.6/README,
	vendor/nginx-1.2.6/auto/cc/acc, vendor/nginx-1.2.6/auto/cc/bcc,
	vendor/nginx-1.2.6/auto/cc/ccc, vendor/nginx-1.2.6/auto/cc/clang,
	vendor/nginx-1.2.6/auto/cc/conf, vendor/nginx-1.2.6/auto/cc/gcc,
	vendor/nginx-1.2.6/auto/cc/icc, vendor/nginx-1.2.6/auto/cc/msvc,
	vendor/nginx-1.2.6/auto/cc/name, vendor/nginx-1.2.6/auto/cc/owc,
	vendor/nginx-1.2.6/auto/cc/sunc, vendor/nginx-1.2.6/auto/define,
	vendor/nginx-1.2.6/auto/endianness, vendor/nginx-1.2.6/auto/feature,
	vendor/nginx-1.2.6/auto/have, vendor/nginx-1.2.6/auto/have_headers,
	vendor/nginx-1.2.6/auto/headers, vendor/nginx-1.2.6/auto/include,
	vendor/nginx-1.2.6/auto/init, vendor/nginx-1.2.6/auto/install,
	vendor/nginx-1.2.6/auto/lib/conf,
	vendor/nginx-1.2.6/auto/lib/geoip/conf,
	vendor/nginx-1.2.6/auto/lib/google-perftools/conf,
	vendor/nginx-1.2.6/auto/lib/libatomic/conf,
	vendor/nginx-1.2.6/auto/lib/libatomic/make,
	vendor/nginx-1.2.6/auto/lib/libgd/conf,
	vendor/nginx-1.2.6/auto/lib/libxslt/conf,
	vendor/nginx-1.2.6/auto/lib/make,
	vendor/nginx-1.2.6/auto/lib/md5/conf,
	vendor/nginx-1.2.6/auto/lib/md5/make,
	vendor/nginx-1.2.6/auto/lib/md5/makefile.bcc,
	vendor/nginx-1.2.6/auto/lib/md5/makefile.msvc,
	vendor/nginx-1.2.6/auto/lib/md5/makefile.owc,
	vendor/nginx-1.2.6/auto/lib/openssl/conf,
	vendor/nginx-1.2.6/auto/lib/openssl/make,
	vendor/nginx-1.2.6/auto/lib/openssl/makefile.bcc,
	vendor/nginx-1.2.6/auto/lib/openssl/makefile.msvc,
	vendor/nginx-1.2.6/auto/lib/pcre/conf,
	vendor/nginx-1.2.6/auto/lib/pcre/make,
	vendor/nginx-1.2.6/auto/lib/pcre/makefile.bcc,
	vendor/nginx-1.2.6/auto/lib/pcre/makefile.msvc,
	vendor/nginx-1.2.6/auto/lib/pcre/makefile.owc,
	vendor/nginx-1.2.6/auto/lib/perl/conf,
	vendor/nginx-1.2.6/auto/lib/perl/make,
	vendor/nginx-1.2.6/auto/lib/sha1/conf,
	vendor/nginx-1.2.6/auto/lib/sha1/make,
	vendor/nginx-1.2.6/auto/lib/sha1/makefile.bcc,
	vendor/nginx-1.2.6/auto/lib/sha1/makefile.msvc,
	vendor/nginx-1.2.6/auto/lib/sha1/makefile.owc,
	vendor/nginx-1.2.6/auto/lib/test,
	vendor/nginx-1.2.6/auto/lib/zlib/conf,
	vendor/nginx-1.2.6/auto/lib/zlib/make,
	vendor/nginx-1.2.6/auto/lib/zlib/makefile.bcc,
	vendor/nginx-1.2.6/auto/lib/zlib/makefile.msvc,
	vendor/nginx-1.2.6/auto/lib/zlib/makefile.owc,
	vendor/nginx-1.2.6/auto/lib/zlib/patch.zlib.h,
	vendor/nginx-1.2.6/auto/make, vendor/nginx-1.2.6/auto/modules,
	vendor/nginx-1.2.6/auto/nohave, vendor/nginx-1.2.6/auto/options,
	vendor/nginx-1.2.6/auto/os/conf, vendor/nginx-1.2.6/auto/os/darwin,
	vendor/nginx-1.2.6/auto/os/freebsd, vendor/nginx-1.2.6/auto/os/linux,
	vendor/nginx-1.2.6/auto/os/solaris, vendor/nginx-1.2.6/auto/os/win32,
	vendor/nginx-1.2.6/auto/sources, vendor/nginx-1.2.6/auto/stubs,
	vendor/nginx-1.2.6/auto/summary, vendor/nginx-1.2.6/auto/types/sizeof,
	vendor/nginx-1.2.6/auto/types/typedef,
	vendor/nginx-1.2.6/auto/types/uintptr_t,
	vendor/nginx-1.2.6/auto/types/value, vendor/nginx-1.2.6/auto/unix,
	vendor/nginx-1.2.6/conf/fastcgi.conf,
	vendor/nginx-1.2.6/conf/fastcgi_params,
	vendor/nginx-1.2.6/conf/koi-utf, vendor/nginx-1.2.6/conf/koi-win,
	vendor/nginx-1.2.6/conf/mime.types,
	vendor/nginx-1.2.6/conf/nginx.conf,
	vendor/nginx-1.2.6/conf/scgi_params,
	vendor/nginx-1.2.6/conf/uwsgi_params, vendor/nginx-1.2.6/conf/win-utf,
	vendor/nginx-1.2.6/configure, vendor/nginx-1.2.6/contrib/README,
	vendor/nginx-1.2.6/contrib/geo2nginx.pl,
	vendor/nginx-1.2.6/contrib/unicode2nginx/koi-utf,
	.../contrib/unicode2nginx/unicode-to-nginx.pl,
	vendor/nginx-1.2.6/contrib/unicode2nginx/win-utf,
	vendor/nginx-1.2.6/html/50x.html, vendor/nginx-1.2.6/html/index.html,
	vendor/nginx-1.2.6/man/nginx.8, vendor/nginx-1.2.6/src/core/nginx.c,
	vendor/nginx-1.2.6/src/core/nginx.h,
	vendor/nginx-1.2.6/src/core/ngx_array.c,
	vendor/nginx-1.2.6/src/core/ngx_array.h,
	vendor/nginx-1.2.6/src/core/ngx_buf.c,
	vendor/nginx-1.2.6/src/core/ngx_buf.h,
	vendor/nginx-1.2.6/src/core/ngx_conf_file.c,
	vendor/nginx-1.2.6/src/core/ngx_conf_file.h,
	vendor/nginx-1.2.6/src/core/ngx_config.h,
	vendor/nginx-1.2.6/src/core/ngx_connection.c,
	vendor/nginx-1.2.6/src/core/ngx_connection.h,
	vendor/nginx-1.2.6/src/core/ngx_core.h,
	vendor/nginx-1.2.6/src/core/ngx_cpuinfo.c,
	vendor/nginx-1.2.6/src/core/ngx_crc.h,
	vendor/nginx-1.2.6/src/core/ngx_crc32.c,
	vendor/nginx-1.2.6/src/core/ngx_crc32.h,
	vendor/nginx-1.2.6/src/core/ngx_crypt.c,
	vendor/nginx-1.2.6/src/core/ngx_crypt.h,
	vendor/nginx-1.2.6/src/core/ngx_cycle.c,
	vendor/nginx-1.2.6/src/core/ngx_cycle.h,
	vendor/nginx-1.2.6/src/core/ngx_file.c,
	vendor/nginx-1.2.6/src/core/ngx_file.h,
	vendor/nginx-1.2.6/src/core/ngx_hash.c,
	vendor/nginx-1.2.6/src/core/ngx_hash.h,
	vendor/nginx-1.2.6/src/core/ngx_inet.c,
	vendor/nginx-1.2.6/src/core/ngx_inet.h,
	vendor/nginx-1.2.6/src/core/ngx_list.c,
	vendor/nginx-1.2.6/src/core/ngx_list.h,
	vendor/nginx-1.2.6/src/core/ngx_log.c,
	vendor/nginx-1.2.6/src/core/ngx_log.h,
	vendor/nginx-1.2.6/src/core/ngx_md5.c,
	vendor/nginx-1.2.6/src/core/ngx_md5.h,
	vendor/nginx-1.2.6/src/core/ngx_murmurhash.c,
	vendor/nginx-1.2.6/src/core/ngx_murmurhash.h,
	vendor/nginx-1.2.6/src/core/ngx_open_file_cache.c,
	vendor/nginx-1.2.6/src/core/ngx_open_file_cache.h,
	vendor/nginx-1.2.6/src/core/ngx_output_chain.c,
	vendor/nginx-1.2.6/src/core/ngx_palloc.c,
	vendor/nginx-1.2.6/src/core/ngx_palloc.h,
	vendor/nginx-1.2.6/src/core/ngx_parse.c,
	vendor/nginx-1.2.6/src/core/ngx_parse.h,
	vendor/nginx-1.2.6/src/core/ngx_queue.c,
	vendor/nginx-1.2.6/src/core/ngx_queue.h,
	vendor/nginx-1.2.6/src/core/ngx_radix_tree.c,
	vendor/nginx-1.2.6/src/core/ngx_radix_tree.h,
	vendor/nginx-1.2.6/src/core/ngx_rbtree.c,
	vendor/nginx-1.2.6/src/core/ngx_rbtree.h,
	vendor/nginx-1.2.6/src/core/ngx_regex.c,
	vendor/nginx-1.2.6/src/core/ngx_regex.h,
	vendor/nginx-1.2.6/src/core/ngx_resolver.c,
	vendor/nginx-1.2.6/src/core/ngx_resolver.h,
	vendor/nginx-1.2.6/src/core/ngx_sha1.h,
	vendor/nginx-1.2.6/src/core/ngx_shmtx.c,
	vendor/nginx-1.2.6/src/core/ngx_shmtx.h,
	vendor/nginx-1.2.6/src/core/ngx_slab.c,
	vendor/nginx-1.2.6/src/core/ngx_slab.h,
	vendor/nginx-1.2.6/src/core/ngx_spinlock.c,
	vendor/nginx-1.2.6/src/core/ngx_string.c,
	vendor/nginx-1.2.6/src/core/ngx_string.h,
	vendor/nginx-1.2.6/src/core/ngx_times.c,
	vendor/nginx-1.2.6/src/core/ngx_times.h,
	.../nginx-1.2.6/src/event/modules/ngx_aio_module.c,
	.../src/event/modules/ngx_devpoll_module.c,
	.../src/event/modules/ngx_epoll_module.c,
	.../src/event/modules/ngx_eventport_module.c,
	.../src/event/modules/ngx_kqueue_module.c,
	.../src/event/modules/ngx_poll_module.c,
	.../src/event/modules/ngx_rtsig_module.c,
	.../src/event/modules/ngx_select_module.c,
	.../src/event/modules/ngx_win32_select_module.c,
	vendor/nginx-1.2.6/src/event/ngx_event.c,
	vendor/nginx-1.2.6/src/event/ngx_event.h,
	vendor/nginx-1.2.6/src/event/ngx_event_accept.c,
	vendor/nginx-1.2.6/src/event/ngx_event_busy_lock.c,
	vendor/nginx-1.2.6/src/event/ngx_event_busy_lock.h,
	vendor/nginx-1.2.6/src/event/ngx_event_connect.c,
	vendor/nginx-1.2.6/src/event/ngx_event_connect.h,
	vendor/nginx-1.2.6/src/event/ngx_event_mutex.c,
	vendor/nginx-1.2.6/src/event/ngx_event_openssl.c,
	vendor/nginx-1.2.6/src/event/ngx_event_openssl.h,
	vendor/nginx-1.2.6/src/event/ngx_event_pipe.c,
	vendor/nginx-1.2.6/src/event/ngx_event_pipe.h,
	vendor/nginx-1.2.6/src/event/ngx_event_posted.c,
	vendor/nginx-1.2.6/src/event/ngx_event_posted.h,
	vendor/nginx-1.2.6/src/event/ngx_event_timer.c,
	vendor/nginx-1.2.6/src/event/ngx_event_timer.h,
	.../src/http/modules/ngx_http_access_module.c,
	.../http/modules/ngx_http_addition_filter_module.c,
	.../src/http/modules/ngx_http_auth_basic_module.c,
	.../src/http/modules/ngx_http_autoindex_module.c,
	.../src/http/modules/ngx_http_browser_module.c,
	.../http/modules/ngx_http_charset_filter_module.c,
	.../http/modules/ngx_http_chunked_filter_module.c,
	.../src/http/modules/ngx_http_dav_module.c,
	.../src/http/modules/ngx_http_degradation_module.c,
	.../src/http/modules/ngx_http_empty_gif_module.c,
	.../src/http/modules/ngx_http_fastcgi_module.c,
	.../src/http/modules/ngx_http_flv_module.c,
	.../src/http/modules/ngx_http_geo_module.c,
	.../src/http/modules/ngx_http_geoip_module.c,
	.../src/http/modules/ngx_http_gzip_filter_module.c,
	.../src/http/modules/ngx_http_gzip_static_module.c,
	.../http/modules/ngx_http_headers_filter_module.c,
	.../http/modules/ngx_http_image_filter_module.c,
	.../src/http/modules/ngx_http_index_module.c,
	.../src/http/modules/ngx_http_limit_conn_module.c,
	.../src/http/modules/ngx_http_limit_req_module.c,
	.../src/http/modules/ngx_http_log_module.c,
	.../src/http/modules/ngx_http_map_module.c,
	.../src/http/modules/ngx_http_memcached_module.c,
	.../src/http/modules/ngx_http_mp4_module.c,
	.../modules/ngx_http_not_modified_filter_module.c,
	.../src/http/modules/ngx_http_proxy_module.c,
	.../http/modules/ngx_http_random_index_module.c,
	.../http/modules/ngx_http_range_filter_module.c,
	.../src/http/modules/ngx_http_realip_module.c,
	.../src/http/modules/ngx_http_referer_module.c,
	.../src/http/modules/ngx_http_rewrite_module.c,
	.../src/http/modules/ngx_http_scgi_module.c,
	.../src/http/modules/ngx_http_secure_link_module.c,
	.../http/modules/ngx_http_split_clients_module.c,
	.../src/http/modules/ngx_http_ssi_filter_module.c,
	.../src/http/modules/ngx_http_ssi_filter_module.h,
	.../src/http/modules/ngx_http_ssl_module.c,
	.../src/http/modules/ngx_http_ssl_module.h,
	.../src/http/modules/ngx_http_static_module.c,
	.../src/http/modules/ngx_http_stub_status_module.c,
	.../src/http/modules/ngx_http_sub_filter_module.c,
	.../modules/ngx_http_upstream_ip_hash_module.c,
	.../modules/ngx_http_upstream_keepalive_module.c,
	.../modules/ngx_http_upstream_least_conn_module.c,
	.../http/modules/ngx_http_userid_filter_module.c,
	.../src/http/modules/ngx_http_uwsgi_module.c,
	.../src/http/modules/ngx_http_xslt_filter_module.c,
	.../nginx-1.2.6/src/http/modules/perl/Makefile.PL,
	vendor/nginx-1.2.6/src/http/modules/perl/nginx.pm,
	vendor/nginx-1.2.6/src/http/modules/perl/nginx.xs,
	.../src/http/modules/perl/ngx_http_perl_module.c,
	.../src/http/modules/perl/ngx_http_perl_module.h,
	vendor/nginx-1.2.6/src/http/modules/perl/typemap,
	vendor/nginx-1.2.6/src/http/ngx_http.c,
	vendor/nginx-1.2.6/src/http/ngx_http.h,
	vendor/nginx-1.2.6/src/http/ngx_http_busy_lock.c,
	vendor/nginx-1.2.6/src/http/ngx_http_busy_lock.h,
	vendor/nginx-1.2.6/src/http/ngx_http_cache.h,
	vendor/nginx-1.2.6/src/http/ngx_http_config.h,
	.../src/http/ngx_http_copy_filter_module.c,
	vendor/nginx-1.2.6/src/http/ngx_http_core_module.c,
	vendor/nginx-1.2.6/src/http/ngx_http_core_module.h,
	vendor/nginx-1.2.6/src/http/ngx_http_file_cache.c,
	.../src/http/ngx_http_header_filter_module.c,
	vendor/nginx-1.2.6/src/http/ngx_http_parse.c,
	vendor/nginx-1.2.6/src/http/ngx_http_parse_time.c,
	.../src/http/ngx_http_postpone_filter_module.c,
	vendor/nginx-1.2.6/src/http/ngx_http_request.c,
	vendor/nginx-1.2.6/src/http/ngx_http_request.h,
	.../nginx-1.2.6/src/http/ngx_http_request_body.c,
	vendor/nginx-1.2.6/src/http/ngx_http_script.c,
	vendor/nginx-1.2.6/src/http/ngx_http_script.h,
	.../src/http/ngx_http_special_response.c,
	vendor/nginx-1.2.6/src/http/ngx_http_upstream.c,
	vendor/nginx-1.2.6/src/http/ngx_http_upstream.h,
	.../src/http/ngx_http_upstream_round_robin.c,
	.../src/http/ngx_http_upstream_round_robin.h,
	vendor/nginx-1.2.6/src/http/ngx_http_variables.c,
	vendor/nginx-1.2.6/src/http/ngx_http_variables.h,
	.../src/http/ngx_http_write_filter_module.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail.h,
	.../src/mail/ngx_mail_auth_http_module.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_core_module.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_handler.c,
	.../nginx-1.2.6/src/mail/ngx_mail_imap_handler.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_imap_module.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_imap_module.h,
	vendor/nginx-1.2.6/src/mail/ngx_mail_parse.c,
	.../nginx-1.2.6/src/mail/ngx_mail_pop3_handler.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_pop3_module.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_pop3_module.h,
	.../nginx-1.2.6/src/mail/ngx_mail_proxy_module.c,
	.../nginx-1.2.6/src/mail/ngx_mail_smtp_handler.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_smtp_module.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_smtp_module.h,
	vendor/nginx-1.2.6/src/mail/ngx_mail_ssl_module.c,
	vendor/nginx-1.2.6/src/mail/ngx_mail_ssl_module.h,
	.../nginx-1.2.6/src/misc/ngx_cpp_test_module.cpp,
	.../src/misc/ngx_google_perftools_module.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_aio_read.c,
	.../nginx-1.2.6/src/os/unix/ngx_aio_read_chain.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_aio_write.c,
	.../nginx-1.2.6/src/os/unix/ngx_aio_write_chain.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_alloc.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_alloc.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_atomic.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_channel.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_channel.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_daemon.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_darwin.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_darwin_config.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_darwin_init.c,
	.../src/os/unix/ngx_darwin_sendfile_chain.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_errno.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_errno.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_file_aio_read.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_files.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_files.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_freebsd.h,
	.../nginx-1.2.6/src/os/unix/ngx_freebsd_config.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_freebsd_init.c,
	.../src/os/unix/ngx_freebsd_rfork_thread.c,
	.../src/os/unix/ngx_freebsd_rfork_thread.h,
	.../src/os/unix/ngx_freebsd_sendfile_chain.c,
	.../nginx-1.2.6/src/os/unix/ngx_gcc_atomic_amd64.h,
	.../nginx-1.2.6/src/os/unix/ngx_gcc_atomic_ppc.h,
	.../src/os/unix/ngx_gcc_atomic_sparc64.h,
	.../nginx-1.2.6/src/os/unix/ngx_gcc_atomic_x86.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_linux.h,
	.../nginx-1.2.6/src/os/unix/ngx_linux_aio_read.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_linux_config.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_linux_init.c,
	.../src/os/unix/ngx_linux_sendfile_chain.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_os.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_posix_config.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_posix_init.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_process.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_process.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_process_cycle.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_process_cycle.h,
	.../nginx-1.2.6/src/os/unix/ngx_pthread_thread.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_readv_chain.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_recv.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_send.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_setaffinity.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_setaffinity.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_setproctitle.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_setproctitle.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_shmem.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_shmem.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_socket.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_socket.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_solaris.h,
	.../nginx-1.2.6/src/os/unix/ngx_solaris_config.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_solaris_init.c,
	.../src/os/unix/ngx_solaris_sendfilev_chain.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_sunpro_amd64.il,
	.../src/os/unix/ngx_sunpro_atomic_sparc64.h,
	.../nginx-1.2.6/src/os/unix/ngx_sunpro_sparc64.il,
	vendor/nginx-1.2.6/src/os/unix/ngx_sunpro_x86.il,
	vendor/nginx-1.2.6/src/os/unix/ngx_thread.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_time.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_time.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_udp_recv.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_user.c,
	vendor/nginx-1.2.6/src/os/unix/ngx_user.h,
	vendor/nginx-1.2.6/src/os/unix/ngx_writev_chain.c,
	vendor/nginx-1.2.6/src/os/unix/rfork_thread.S: httpd: update nginx to
	1.2.6 from 1.2.1

	* Makefile.am, vendor/update_nginx.sh: httpd: add update-nginx target

	* src/httpd/Makefile.am, src/httpd/configure: httpd: get srcdir from
	argument instead of shell variables

	* configure.ac, groonga-httpd-conf.sh.in, src/Makefile.am,
	src/httpd/Makefile.am, src/httpd/configure,
	src/httpd/nginx-module/config,
	src/httpd/nginx-module/ngx_http_groonga_module.c,
	src/nginx-module/config, src/nginx-module/ngx_http_groonga_module.c,
	vendor/Makefile.am, vendor/nginx/configure: httpd: move nginx build
	script to src/httpd/ from vendor/nginx/  src/nginx-module/ is also
	moved to src/httpd/nginx-module/.

	* mruby_version, vendor/mruby-4728070/.gitignore,
	vendor/mruby-4728070/.travis.yml, vendor/mruby-4728070/AUTHORS,
	vendor/mruby-4728070/CONTRIBUTING.md, vendor/mruby-4728070/ChangeLog,
	vendor/mruby-4728070/INSTALL, vendor/mruby-4728070/LEGAL,
	vendor/mruby-4728070/MITL, vendor/mruby-4728070/NEWS,
	vendor/mruby-4728070/README.md, vendor/mruby-4728070/Rakefile,
	vendor/mruby-4728070/TODO,
	vendor/mruby-4728070/benchmark/ao-render.rb,
	vendor/mruby-4728070/benchmark/bm_so_lists.rb,
	vendor/mruby-4728070/build_config.rb,
	vendor/mruby-4728070/doc/compile/README.md,
	vendor/mruby-4728070/doc/mrbgems/README.md,
	.../mrbgems/c_and_ruby_extension_example/README.md,
	.../c_and_ruby_extension_example/mrbgem.rake,
	.../c_and_ruby_extension_example/mrblib/example.rb,
	.../c_and_ruby_extension_example/src/example.c,
	.../c_and_ruby_extension_example/test/example.rb,
	.../doc/mrbgems/c_extension_example/README.md,
	.../doc/mrbgems/c_extension_example/mrbgem.rake,
	.../doc/mrbgems/c_extension_example/src/example.c,
	.../doc/mrbgems/c_extension_example/test/example.c,
	.../mrbgems/c_extension_example/test/example.rb,
	.../doc/mrbgems/ruby_extension_example/README.md,
	.../doc/mrbgems/ruby_extension_example/mrbgem.rake,
	.../ruby_extension_example/mrblib/example.rb,
	.../mrbgems/ruby_extension_example/test/example.rb,
	vendor/mruby-4728070/include/mrbconf.h,
	vendor/mruby-4728070/include/mruby.h,
	vendor/mruby-4728070/include/mruby/array.h,
	vendor/mruby-4728070/include/mruby/cdump.h,
	vendor/mruby-4728070/include/mruby/class.h,
	vendor/mruby-4728070/include/mruby/compile.h,
	vendor/mruby-4728070/include/mruby/data.h,
	vendor/mruby-4728070/include/mruby/dump.h,
	vendor/mruby-4728070/include/mruby/hash.h,
	vendor/mruby-4728070/include/mruby/irep.h,
	vendor/mruby-4728070/include/mruby/khash.h,
	vendor/mruby-4728070/include/mruby/numeric.h,
	vendor/mruby-4728070/include/mruby/proc.h,
	vendor/mruby-4728070/include/mruby/range.h,
	vendor/mruby-4728070/include/mruby/string.h,
	vendor/mruby-4728070/include/mruby/struct.h,
	vendor/mruby-4728070/include/mruby/value.h,
	vendor/mruby-4728070/include/mruby/variable.h,
	vendor/mruby-4728070/minirake, vendor/mruby-4728070/mrblib/array.rb,
	vendor/mruby-4728070/mrblib/class.rb,
	vendor/mruby-4728070/mrblib/compar.rb,
	vendor/mruby-4728070/mrblib/enum.rb,
	vendor/mruby-4728070/mrblib/error.rb,
	vendor/mruby-4728070/mrblib/hash.rb,
	vendor/mruby-4728070/mrblib/init_mrblib.c,
	vendor/mruby-4728070/mrblib/kernel.rb,
	vendor/mruby-4728070/mrblib/mrblib.rake,
	vendor/mruby-4728070/mrblib/numeric.rb,
	vendor/mruby-4728070/mrblib/print.rb,
	vendor/mruby-4728070/mrblib/range.rb,
	vendor/mruby-4728070/mrblib/string.rb,
	vendor/mruby-4728070/mrblib/struct.rb,
	vendor/mruby-4728070/src/array.c, vendor/mruby-4728070/src/cdump.c,
	vendor/mruby-4728070/src/class.c, vendor/mruby-4728070/src/codegen.c,
	vendor/mruby-4728070/src/compar.c, vendor/mruby-4728070/src/crc.c,
	vendor/mruby-4728070/src/dump.c, vendor/mruby-4728070/src/encoding.h,
	vendor/mruby-4728070/src/enum.c, vendor/mruby-4728070/src/error.c,
	vendor/mruby-4728070/src/error.h, vendor/mruby-4728070/src/etc.c,
	vendor/mruby-4728070/src/gc.c, vendor/mruby-4728070/src/hash.c,
	vendor/mruby-4728070/src/init.c, vendor/mruby-4728070/src/init_ext.c,
	vendor/mruby-4728070/src/kernel.c, vendor/mruby-4728070/src/keywords,
	vendor/mruby-4728070/src/lex.def, vendor/mruby-4728070/src/load.c,
	vendor/mruby-4728070/src/math.c, vendor/mruby-4728070/src/mrblib.c,
	vendor/mruby-4728070/src/mruby_core.rake,
	vendor/mruby-4728070/src/node.h, vendor/mruby-4728070/src/numeric.c,
	vendor/mruby-4728070/src/object.c,
	vendor/mruby-4728070/src/oniguruma.h,
	vendor/mruby-4728070/src/opcode.h, vendor/mruby-4728070/src/parse.y,
	vendor/mruby-4728070/src/pool.c, vendor/mruby-4728070/src/print.c,
	vendor/mruby-4728070/src/proc.c, vendor/mruby-4728070/src/range.c,
	vendor/mruby-4728070/src/re.c, vendor/mruby-4728070/src/re.h,
	vendor/mruby-4728070/src/regcomp.c, vendor/mruby-4728070/src/regenc.c,
	vendor/mruby-4728070/src/regenc.h,
	vendor/mruby-4728070/src/regerror.c, vendor/mruby-4728070/src/regex.h,
	vendor/mruby-4728070/src/regexec.c, vendor/mruby-4728070/src/regint.h,
	vendor/mruby-4728070/src/regparse.c,
	vendor/mruby-4728070/src/regparse.h,
	vendor/mruby-4728070/src/sprintf.c, vendor/mruby-4728070/src/st.c,
	vendor/mruby-4728070/src/st.h, vendor/mruby-4728070/src/state.c,
	vendor/mruby-4728070/src/string.c, vendor/mruby-4728070/src/struct.c,
	vendor/mruby-4728070/src/symbol.c, vendor/mruby-4728070/src/time.c,
	vendor/mruby-4728070/src/variable.c, vendor/mruby-4728070/src/vm.c,
	vendor/mruby-4728070/tasks/libmruby.rake,
	vendor/mruby-4728070/tasks/mrbgems.rake,
	vendor/mruby-4728070/tasks/mrbgems_test.rake,
	vendor/mruby-4728070/tasks/mruby_build.rake,
	vendor/mruby-4728070/tasks/mruby_gem_spec.rake,
	vendor/mruby-4728070/tasks/ruby_ext.rake,
	vendor/mruby-4728070/tasks/rules.rake,
	vendor/mruby-4728070/test/README.md,
	vendor/mruby-4728070/test/assert.rb,
	vendor/mruby-4728070/test/driver.c,
	vendor/mruby-4728070/test/init_mrbtest.c,
	vendor/mruby-4728070/test/mrbtest.rake,
	vendor/mruby-4728070/test/report.rb,
	vendor/mruby-4728070/test/t/argumenterror.rb,
	vendor/mruby-4728070/test/t/array.rb,
	vendor/mruby-4728070/test/t/basicobject.rb,
	vendor/mruby-4728070/test/t/bs_block.rb,
	vendor/mruby-4728070/test/t/bs_literal.rb,
	vendor/mruby-4728070/test/t/class.rb,
	vendor/mruby-4728070/test/t/comparable.rb,
	vendor/mruby-4728070/test/t/enumerable.rb,
	vendor/mruby-4728070/test/t/exception.rb,
	vendor/mruby-4728070/test/t/false.rb,
	vendor/mruby-4728070/test/t/float.rb,
	vendor/mruby-4728070/test/t/gc.rb,
	vendor/mruby-4728070/test/t/hash.rb,
	vendor/mruby-4728070/test/t/indexerror.rb,
	vendor/mruby-4728070/test/t/integer.rb,
	vendor/mruby-4728070/test/t/kernel.rb,
	vendor/mruby-4728070/test/t/literals.rb,
	vendor/mruby-4728070/test/t/localjumperror.rb,
	vendor/mruby-4728070/test/t/math.rb,
	vendor/mruby-4728070/test/t/module.rb,
	vendor/mruby-4728070/test/t/nameerror.rb,
	vendor/mruby-4728070/test/t/nil.rb,
	vendor/mruby-4728070/test/t/nomethoderror.rb,
	vendor/mruby-4728070/test/t/numeric.rb,
	vendor/mruby-4728070/test/t/object.rb,
	vendor/mruby-4728070/test/t/proc.rb,
	vendor/mruby-4728070/test/t/range.rb,
	vendor/mruby-4728070/test/t/rangeerror.rb,
	vendor/mruby-4728070/test/t/regexperror.rb,
	vendor/mruby-4728070/test/t/runtimeerror.rb,
	vendor/mruby-4728070/test/t/standarderror.rb,
	vendor/mruby-4728070/test/t/string.rb,
	vendor/mruby-4728070/test/t/struct.rb,
	vendor/mruby-4728070/test/t/symbol.rb,
	vendor/mruby-4728070/test/t/syntax.rb,
	vendor/mruby-4728070/test/t/time.rb,
	vendor/mruby-4728070/test/t/true.rb,
	vendor/mruby-4728070/test/t/typeerror.rb,
	vendor/mruby-4728070/tools/mirb/mirb.c,
	vendor/mruby-4728070/tools/mirb/mirb.rake,
	vendor/mruby-4728070/tools/mrbc/mrbc.c,
	vendor/mruby-4728070/tools/mrbc/mrbc.rake,
	vendor/mruby-4728070/tools/mruby/mruby.c,
	vendor/mruby-4728070/tools/mruby/mruby.rake,
	vendor/mruby-b5830ae/.gitignore, vendor/mruby-b5830ae/.travis.yml,
	vendor/mruby-b5830ae/AUTHORS, vendor/mruby-b5830ae/CONTRIBUTING.md,
	vendor/mruby-b5830ae/ChangeLog, vendor/mruby-b5830ae/INSTALL,
	vendor/mruby-b5830ae/LEGAL, vendor/mruby-b5830ae/MITL,
	vendor/mruby-b5830ae/NEWS, vendor/mruby-b5830ae/README.md,
	vendor/mruby-b5830ae/Rakefile, vendor/mruby-b5830ae/TODO,
	vendor/mruby-b5830ae/benchmark/ao-render.rb,
	vendor/mruby-b5830ae/benchmark/bm_so_lists.rb,
	vendor/mruby-b5830ae/build_config.rb,
	vendor/mruby-b5830ae/doc/compile/README.md,
	vendor/mruby-b5830ae/doc/mrbgems/README.md,
	.../mrbgems/c_and_ruby_extension_example/README.md,
	.../c_and_ruby_extension_example/mrbgem.rake,
	.../c_and_ruby_extension_example/mrblib/example.rb,
	.../c_and_ruby_extension_example/src/example.c,
	.../c_and_ruby_extension_example/test/example.rb,
	.../doc/mrbgems/c_extension_example/README.md,
	.../doc/mrbgems/c_extension_example/mrbgem.rake,
	.../doc/mrbgems/c_extension_example/src/example.c,
	.../doc/mrbgems/c_extension_example/test/example.c,
	.../mrbgems/c_extension_example/test/example.rb,
	.../doc/mrbgems/ruby_extension_example/README.md,
	.../doc/mrbgems/ruby_extension_example/mrbgem.rake,
	.../ruby_extension_example/mrblib/example.rb,
	.../mrbgems/ruby_extension_example/test/example.rb,
	vendor/mruby-b5830ae/include/mrbconf.h,
	vendor/mruby-b5830ae/include/mruby.h,
	vendor/mruby-b5830ae/include/mruby/array.h,
	vendor/mruby-b5830ae/include/mruby/cdump.h,
	vendor/mruby-b5830ae/include/mruby/class.h,
	vendor/mruby-b5830ae/include/mruby/compile.h,
	vendor/mruby-b5830ae/include/mruby/data.h,
	vendor/mruby-b5830ae/include/mruby/dump.h,
	vendor/mruby-b5830ae/include/mruby/hash.h,
	vendor/mruby-b5830ae/include/mruby/irep.h,
	vendor/mruby-b5830ae/include/mruby/khash.h,
	vendor/mruby-b5830ae/include/mruby/numeric.h,
	vendor/mruby-b5830ae/include/mruby/proc.h,
	vendor/mruby-b5830ae/include/mruby/range.h,
	vendor/mruby-b5830ae/include/mruby/string.h,
	vendor/mruby-b5830ae/include/mruby/struct.h,
	vendor/mruby-b5830ae/include/mruby/value.h,
	vendor/mruby-b5830ae/include/mruby/variable.h,
	vendor/mruby-b5830ae/minirake, vendor/mruby-b5830ae/mrblib/array.rb,
	vendor/mruby-b5830ae/mrblib/class.rb,
	vendor/mruby-b5830ae/mrblib/compar.rb,
	vendor/mruby-b5830ae/mrblib/enum.rb,
	vendor/mruby-b5830ae/mrblib/error.rb,
	vendor/mruby-b5830ae/mrblib/hash.rb,
	vendor/mruby-b5830ae/mrblib/init_mrblib.c,
	vendor/mruby-b5830ae/mrblib/kernel.rb,
	vendor/mruby-b5830ae/mrblib/mrblib.rake,
	vendor/mruby-b5830ae/mrblib/numeric.rb,
	vendor/mruby-b5830ae/mrblib/print.rb,
	vendor/mruby-b5830ae/mrblib/range.rb,
	vendor/mruby-b5830ae/mrblib/string.rb,
	vendor/mruby-b5830ae/mrblib/struct.rb,
	vendor/mruby-b5830ae/src/array.c, vendor/mruby-b5830ae/src/cdump.c,
	vendor/mruby-b5830ae/src/class.c, vendor/mruby-b5830ae/src/codegen.c,
	vendor/mruby-b5830ae/src/compar.c, vendor/mruby-b5830ae/src/crc.c,
	vendor/mruby-b5830ae/src/dump.c, vendor/mruby-b5830ae/src/encoding.h,
	vendor/mruby-b5830ae/src/enum.c, vendor/mruby-b5830ae/src/error.c,
	vendor/mruby-b5830ae/src/error.h, vendor/mruby-b5830ae/src/etc.c,
	vendor/mruby-b5830ae/src/gc.c, vendor/mruby-b5830ae/src/hash.c,
	vendor/mruby-b5830ae/src/init.c, vendor/mruby-b5830ae/src/init_ext.c,
	vendor/mruby-b5830ae/src/kernel.c, vendor/mruby-b5830ae/src/keywords,
	vendor/mruby-b5830ae/src/lex.def, vendor/mruby-b5830ae/src/load.c,
	vendor/mruby-b5830ae/src/math.c, vendor/mruby-b5830ae/src/mrblib.c,
	vendor/mruby-b5830ae/src/mruby_core.rake,
	vendor/mruby-b5830ae/src/node.h, vendor/mruby-b5830ae/src/numeric.c,
	vendor/mruby-b5830ae/src/object.c,
	vendor/mruby-b5830ae/src/oniguruma.h,
	vendor/mruby-b5830ae/src/opcode.h, vendor/mruby-b5830ae/src/parse.y,
	vendor/mruby-b5830ae/src/pool.c, vendor/mruby-b5830ae/src/print.c,
	vendor/mruby-b5830ae/src/proc.c, vendor/mruby-b5830ae/src/range.c,
	vendor/mruby-b5830ae/src/re.c, vendor/mruby-b5830ae/src/re.h,
	vendor/mruby-b5830ae/src/regcomp.c, vendor/mruby-b5830ae/src/regenc.c,
	vendor/mruby-b5830ae/src/regenc.h,
	vendor/mruby-b5830ae/src/regerror.c, vendor/mruby-b5830ae/src/regex.h,
	vendor/mruby-b5830ae/src/regexec.c, vendor/mruby-b5830ae/src/regint.h,
	vendor/mruby-b5830ae/src/regparse.c,
	vendor/mruby-b5830ae/src/regparse.h,
	vendor/mruby-b5830ae/src/sprintf.c, vendor/mruby-b5830ae/src/st.c,
	vendor/mruby-b5830ae/src/st.h, vendor/mruby-b5830ae/src/state.c,
	vendor/mruby-b5830ae/src/string.c, vendor/mruby-b5830ae/src/struct.c,
	vendor/mruby-b5830ae/src/symbol.c, vendor/mruby-b5830ae/src/time.c,
	vendor/mruby-b5830ae/src/variable.c, vendor/mruby-b5830ae/src/vm.c,
	vendor/mruby-b5830ae/tasks/libmruby.rake,
	vendor/mruby-b5830ae/tasks/mrbgems.rake,
	vendor/mruby-b5830ae/tasks/mrbgems_test.rake,
	vendor/mruby-b5830ae/tasks/mruby_build.rake,
	vendor/mruby-b5830ae/tasks/mruby_gem_spec.rake,
	vendor/mruby-b5830ae/tasks/ruby_ext.rake,
	vendor/mruby-b5830ae/tasks/rules.rake,
	vendor/mruby-b5830ae/test/README.md,
	vendor/mruby-b5830ae/test/assert.rb,
	vendor/mruby-b5830ae/test/driver.c,
	vendor/mruby-b5830ae/test/init_mrbtest.c,
	vendor/mruby-b5830ae/test/mrbtest.rake,
	vendor/mruby-b5830ae/test/report.rb,
	vendor/mruby-b5830ae/test/t/argumenterror.rb,
	vendor/mruby-b5830ae/test/t/array.rb,
	vendor/mruby-b5830ae/test/t/basicobject.rb,
	vendor/mruby-b5830ae/test/t/bs_block.rb,
	vendor/mruby-b5830ae/test/t/bs_literal.rb,
	vendor/mruby-b5830ae/test/t/class.rb,
	vendor/mruby-b5830ae/test/t/comparable.rb,
	vendor/mruby-b5830ae/test/t/enumerable.rb,
	vendor/mruby-b5830ae/test/t/exception.rb,
	vendor/mruby-b5830ae/test/t/false.rb,
	vendor/mruby-b5830ae/test/t/float.rb,
	vendor/mruby-b5830ae/test/t/gc.rb,
	vendor/mruby-b5830ae/test/t/hash.rb,
	vendor/mruby-b5830ae/test/t/indexerror.rb,
	vendor/mruby-b5830ae/test/t/integer.rb,
	vendor/mruby-b5830ae/test/t/kernel.rb,
	vendor/mruby-b5830ae/test/t/literals.rb,
	vendor/mruby-b5830ae/test/t/localjumperror.rb,
	vendor/mruby-b5830ae/test/t/math.rb,
	vendor/mruby-b5830ae/test/t/module.rb,
	vendor/mruby-b5830ae/test/t/nameerror.rb,
	vendor/mruby-b5830ae/test/t/nil.rb,
	vendor/mruby-b5830ae/test/t/nomethoderror.rb,
	vendor/mruby-b5830ae/test/t/numeric.rb,
	vendor/mruby-b5830ae/test/t/object.rb,
	vendor/mruby-b5830ae/test/t/proc.rb,
	vendor/mruby-b5830ae/test/t/range.rb,
	vendor/mruby-b5830ae/test/t/rangeerror.rb,
	vendor/mruby-b5830ae/test/t/regexperror.rb,
	vendor/mruby-b5830ae/test/t/runtimeerror.rb,
	vendor/mruby-b5830ae/test/t/standarderror.rb,
	vendor/mruby-b5830ae/test/t/string.rb,
	vendor/mruby-b5830ae/test/t/struct.rb,
	vendor/mruby-b5830ae/test/t/symbol.rb,
	vendor/mruby-b5830ae/test/t/syntax.rb,
	vendor/mruby-b5830ae/test/t/time.rb,
	vendor/mruby-b5830ae/test/t/true.rb,
	vendor/mruby-b5830ae/test/t/typeerror.rb,
	vendor/mruby-b5830ae/tools/mirb/mirb.c,
	vendor/mruby-b5830ae/tools/mirb/mirb.rake,
	vendor/mruby-b5830ae/tools/mrbc/mrbc.c,
	vendor/mruby-b5830ae/tools/mrbc/mrbc.rake,
	vendor/mruby-b5830ae/tools/mruby/mruby.c,
	vendor/mruby-b5830ae/tools/mruby/mruby.rake, vendor/mruby/sources.am:
	mruby: update to 4728070 from b5830ae

2013-01-16 Kouhei Sutou <kou@clear-code.com>

	* vendor/mruby/update.sh, vendor/mruby/update_files.sh: mruby: run
	yacc on import

	* configure.ac, groonga-httpd-conf.sh.in, vendor/nginx/configure:
	groonga-httpd: disable gzip module when zlib isn't found

	* lib/ctx.c, lib/ctx_impl.h, lib/mrb.c, lib/mrb.h, lib/sources.am:
	mruby: extract mruby related code to another file

2013-01-16 HAYASHI Kentaro <hayashi@clear-code.com>

	* packages/rpm/centos/groonga.spec.in,
	packages/rpm/fedora/groonga.spec.in, packages/yum/build-in-chroot.sh,
	packages/yum/build-rpm.sh,
	packages/yum/patches/mecab-ipadic-provides-mecab-dic.diff,
	packages/yum/patches/mecab-jumandic-provides-mecab-dic.diff: rpm: add
	virtual package 'mecab-dic' dependency to groonga-tokenizer-mecab

2013-01-15 Kouhei Sutou <kou@clear-code.com>

	* plugins/suggest/Makefile.am, plugins/table/Makefile.am,
	src/Makefile.am, src/suggest/Makefile.am: mruby: add MRUBY_CFLAGS to
	build options

	* lib/plugin.c, lib/plugin_in.h, lib/token.c: Don't report an error
	when MeCab tokenizer shared object isn't found  We are providing the
	MeCab tokenizer enabled groonga package but the MeCab tokenizer is
	optional package.  Some users don't have it. For those users, it is
	not an error that the MeCab tokenizer doesn't exist. But error message
	is logged. So we don't report the error message.  [groonga-dev,01174]
	Reported by wing. Thanks!!!

2013-01-10 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/server-use.inc,
	doc/source/install/ubuntu.txt: doc: add note about packages for server
	use

2013-01-10 Kouhei Sutou <kou@clear-code.com>

	* doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/normalizers.txt: doc ja: translate documentation
	about normalizer

2013-01-10 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/install.po,
	doc/locale/ja/LC_MESSAGES/install.po, doc/source/install/windows.txt:
	doc: move package name which contains version number as execution
	examples  It is aimed to reduce po translation task.

2013-01-10 Kouhei Sutou <kou@clear-code.com>

	* doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/tables.txt: doc ja: translate documentation about
	table

	* lib/ctx.c, lib/ctx.h: Remove unused literal objects

	* lib/ctx.c, lib/ctx.h: Hide internal function

	* include/groonga.h, lib/ctx.c, src/groonga.c: Remove global
	grn_qlog_path variable  Use grn_default_query_logger_set_path() and
	grn_default_query_logger_get_path() instead.  This is incompatible
	change but nobody uses grn_qlog_path.

	* lib/ctx.c, lib/ctx.h: Hide internal function

	* include/groonga.h, lib/ctx.c, lib/ctx.h, src/groonga.c: Remove
	global grn_log_path variable  Use grn_default_logger_set_path() and
	grn_default_logger_get_path() instead.  This is incompatible change
	but nobody uses grn_log_path.

	* include/groonga.h, lib/ctx.c: Reduce abbreviation  time -> timestamp

2013-01-10 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/mac_os_x.txt,
	doc/source/install/others.txt, doc/source/install/solaris.txt,
	doc/source/install/ubuntu.txt, doc/source/install/windows.txt: doc:
	update version

2013-01-09 Kouhei Sutou <kou@clear-code.com>

	* include/groonga.h, lib/ctx.c, lib/ctx.h: Add grn_logger  It supports
	reopen for custom logger.  grn_logger_info API is deprecated. It
	doesn't break backward compatibility.

	* .gitignore, Makefile.am, configure.ac, lib/Makefile.am, lib/ctx.c,
	lib/ctx_impl.h, vendor/Makefile.am, vendor/mruby-b5830ae/.gitignore,
	vendor/mruby-b5830ae/.travis.yml, vendor/mruby-b5830ae/AUTHORS,
	vendor/mruby-b5830ae/CONTRIBUTING.md, vendor/mruby-b5830ae/ChangeLog,
	vendor/mruby-b5830ae/INSTALL, vendor/mruby-b5830ae/LEGAL,
	vendor/mruby-b5830ae/MITL, vendor/mruby-b5830ae/NEWS,
	vendor/mruby-b5830ae/README.md, vendor/mruby-b5830ae/Rakefile,
	vendor/mruby-b5830ae/TODO,
	vendor/mruby-b5830ae/benchmark/ao-render.rb,
	vendor/mruby-b5830ae/benchmark/bm_so_lists.rb,
	vendor/mruby-b5830ae/build_config.rb,
	vendor/mruby-b5830ae/doc/compile/README.md,
	vendor/mruby-b5830ae/doc/mrbgems/README.md,
	.../mrbgems/c_and_ruby_extension_example/README.md,
	.../c_and_ruby_extension_example/mrbgem.rake,
	.../c_and_ruby_extension_example/mrblib/example.rb,
	.../c_and_ruby_extension_example/src/example.c,
	.../c_and_ruby_extension_example/test/example.rb,
	.../doc/mrbgems/c_extension_example/README.md,
	.../doc/mrbgems/c_extension_example/mrbgem.rake,
	.../doc/mrbgems/c_extension_example/src/example.c,
	.../doc/mrbgems/c_extension_example/test/example.c,
	.../mrbgems/c_extension_example/test/example.rb,
	.../doc/mrbgems/ruby_extension_example/README.md,
	.../doc/mrbgems/ruby_extension_example/mrbgem.rake,
	.../ruby_extension_example/mrblib/example.rb,
	.../mrbgems/ruby_extension_example/test/example.rb,
	vendor/mruby-b5830ae/include/mrbconf.h,
	vendor/mruby-b5830ae/include/mruby.h,
	vendor/mruby-b5830ae/include/mruby/array.h,
	vendor/mruby-b5830ae/include/mruby/cdump.h,
	vendor/mruby-b5830ae/include/mruby/class.h,
	vendor/mruby-b5830ae/include/mruby/compile.h,
	vendor/mruby-b5830ae/include/mruby/data.h,
	vendor/mruby-b5830ae/include/mruby/dump.h,
	vendor/mruby-b5830ae/include/mruby/hash.h,
	vendor/mruby-b5830ae/include/mruby/irep.h,
	vendor/mruby-b5830ae/include/mruby/khash.h,
	vendor/mruby-b5830ae/include/mruby/numeric.h,
	vendor/mruby-b5830ae/include/mruby/proc.h,
	vendor/mruby-b5830ae/include/mruby/range.h,
	vendor/mruby-b5830ae/include/mruby/string.h,
	vendor/mruby-b5830ae/include/mruby/struct.h,
	vendor/mruby-b5830ae/include/mruby/value.h,
	vendor/mruby-b5830ae/include/mruby/variable.h,
	vendor/mruby-b5830ae/minirake, vendor/mruby-b5830ae/mrblib/array.rb,
	vendor/mruby-b5830ae/mrblib/class.rb,
	vendor/mruby-b5830ae/mrblib/compar.rb,
	vendor/mruby-b5830ae/mrblib/enum.rb,
	vendor/mruby-b5830ae/mrblib/error.rb,
	vendor/mruby-b5830ae/mrblib/hash.rb,
	vendor/mruby-b5830ae/mrblib/init_mrblib.c,
	vendor/mruby-b5830ae/mrblib/kernel.rb,
	vendor/mruby-b5830ae/mrblib/mrblib.rake,
	vendor/mruby-b5830ae/mrblib/numeric.rb,
	vendor/mruby-b5830ae/mrblib/print.rb,
	vendor/mruby-b5830ae/mrblib/range.rb,
	vendor/mruby-b5830ae/mrblib/string.rb,
	vendor/mruby-b5830ae/mrblib/struct.rb,
	vendor/mruby-b5830ae/src/array.c, vendor/mruby-b5830ae/src/cdump.c,
	vendor/mruby-b5830ae/src/class.c, vendor/mruby-b5830ae/src/codegen.c,
	vendor/mruby-b5830ae/src/compar.c, vendor/mruby-b5830ae/src/crc.c,
	vendor/mruby-b5830ae/src/dump.c, vendor/mruby-b5830ae/src/encoding.h,
	vendor/mruby-b5830ae/src/enum.c, vendor/mruby-b5830ae/src/error.c,
	vendor/mruby-b5830ae/src/error.h, vendor/mruby-b5830ae/src/etc.c,
	vendor/mruby-b5830ae/src/gc.c, vendor/mruby-b5830ae/src/hash.c,
	vendor/mruby-b5830ae/src/init.c, vendor/mruby-b5830ae/src/init_ext.c,
	vendor/mruby-b5830ae/src/kernel.c, vendor/mruby-b5830ae/src/keywords,
	vendor/mruby-b5830ae/src/lex.def, vendor/mruby-b5830ae/src/load.c,
	vendor/mruby-b5830ae/src/math.c, vendor/mruby-b5830ae/src/mrblib.c,
	vendor/mruby-b5830ae/src/mruby_core.rake,
	vendor/mruby-b5830ae/src/node.h, vendor/mruby-b5830ae/src/numeric.c,
	vendor/mruby-b5830ae/src/object.c,
	vendor/mruby-b5830ae/src/oniguruma.h,
	vendor/mruby-b5830ae/src/opcode.h, vendor/mruby-b5830ae/src/parse.y,
	vendor/mruby-b5830ae/src/pool.c, vendor/mruby-b5830ae/src/print.c,
	vendor/mruby-b5830ae/src/proc.c, vendor/mruby-b5830ae/src/range.c,
	vendor/mruby-b5830ae/src/re.c, vendor/mruby-b5830ae/src/re.h,
	vendor/mruby-b5830ae/src/regcomp.c, vendor/mruby-b5830ae/src/regenc.c,
	vendor/mruby-b5830ae/src/regenc.h,
	vendor/mruby-b5830ae/src/regerror.c, vendor/mruby-b5830ae/src/regex.h,
	vendor/mruby-b5830ae/src/regexec.c, vendor/mruby-b5830ae/src/regint.h,
	vendor/mruby-b5830ae/src/regparse.c,
	vendor/mruby-b5830ae/src/regparse.h,
	vendor/mruby-b5830ae/src/sprintf.c, vendor/mruby-b5830ae/src/st.c,
	vendor/mruby-b5830ae/src/st.h, vendor/mruby-b5830ae/src/state.c,
	vendor/mruby-b5830ae/src/string.c, vendor/mruby-b5830ae/src/struct.c,
	vendor/mruby-b5830ae/src/symbol.c, vendor/mruby-b5830ae/src/time.c,
	vendor/mruby-b5830ae/src/variable.c, vendor/mruby-b5830ae/src/vm.c,
	vendor/mruby-b5830ae/tasks/libmruby.rake,
	vendor/mruby-b5830ae/tasks/mrbgems.rake,
	vendor/mruby-b5830ae/tasks/mrbgems_test.rake,
	vendor/mruby-b5830ae/tasks/mruby_build.rake,
	vendor/mruby-b5830ae/tasks/mruby_gem_spec.rake,
	vendor/mruby-b5830ae/tasks/ruby_ext.rake,
	vendor/mruby-b5830ae/tasks/rules.rake,
	vendor/mruby-b5830ae/test/README.md,
	vendor/mruby-b5830ae/test/assert.rb,
	vendor/mruby-b5830ae/test/driver.c,
	vendor/mruby-b5830ae/test/init_mrbtest.c,
	vendor/mruby-b5830ae/test/mrbtest.rake,
	vendor/mruby-b5830ae/test/report.rb,
	vendor/mruby-b5830ae/test/t/argumenterror.rb,
	vendor/mruby-b5830ae/test/t/array.rb,
	vendor/mruby-b5830ae/test/t/basicobject.rb,
	vendor/mruby-b5830ae/test/t/bs_block.rb,
	vendor/mruby-b5830ae/test/t/bs_literal.rb,
	vendor/mruby-b5830ae/test/t/class.rb,
	vendor/mruby-b5830ae/test/t/comparable.rb,
	vendor/mruby-b5830ae/test/t/enumerable.rb,
	vendor/mruby-b5830ae/test/t/exception.rb,
	vendor/mruby-b5830ae/test/t/false.rb,
	vendor/mruby-b5830ae/test/t/float.rb,
	vendor/mruby-b5830ae/test/t/gc.rb,
	vendor/mruby-b5830ae/test/t/hash.rb,
	vendor/mruby-b5830ae/test/t/indexerror.rb,
	vendor/mruby-b5830ae/test/t/integer.rb,
	vendor/mruby-b5830ae/test/t/kernel.rb,
	vendor/mruby-b5830ae/test/t/literals.rb,
	vendor/mruby-b5830ae/test/t/localjumperror.rb,
	vendor/mruby-b5830ae/test/t/math.rb,
	vendor/mruby-b5830ae/test/t/module.rb,
	vendor/mruby-b5830ae/test/t/nameerror.rb,
	vendor/mruby-b5830ae/test/t/nil.rb,
	vendor/mruby-b5830ae/test/t/nomethoderror.rb,
	vendor/mruby-b5830ae/test/t/numeric.rb,
	vendor/mruby-b5830ae/test/t/object.rb,
	vendor/mruby-b5830ae/test/t/proc.rb,
	vendor/mruby-b5830ae/test/t/range.rb,
	vendor/mruby-b5830ae/test/t/rangeerror.rb,
	vendor/mruby-b5830ae/test/t/regexperror.rb,
	vendor/mruby-b5830ae/test/t/runtimeerror.rb,
	vendor/mruby-b5830ae/test/t/standarderror.rb,
	vendor/mruby-b5830ae/test/t/string.rb,
	vendor/mruby-b5830ae/test/t/struct.rb,
	vendor/mruby-b5830ae/test/t/symbol.rb,
	vendor/mruby-b5830ae/test/t/syntax.rb,
	vendor/mruby-b5830ae/test/t/time.rb,
	vendor/mruby-b5830ae/test/t/true.rb,
	vendor/mruby-b5830ae/test/t/typeerror.rb,
	vendor/mruby-b5830ae/tools/mirb/mirb.c,
	vendor/mruby-b5830ae/tools/mirb/mirb.rake,
	vendor/mruby-b5830ae/tools/mrbc/mrbc.c,
	vendor/mruby-b5830ae/tools/mrbc/mrbc.rake,
	vendor/mruby-b5830ae/tools/mruby/mruby.c,
	vendor/mruby-b5830ae/tools/mruby/mruby.rake, vendor/mruby/Makefile.am,
	vendor/mruby/sources.am, vendor/mruby/update.sh,
	vendor/mruby/update_files.sh: Embed mruby to grn_ctx_impl  It just
	embed. We cannot run Ruby code yet. We need likethe following code to
	run Ruby code:  { mrb_state *mrb = ctx->impl->mrb; struct
	mrb_parser_state *state; int code_start_index;  state =
	mrb_parse_string(mrb, "p Time.now", NULL); code_start_index =
	mrb_generate_code(mrb, state); mrb_pool_close(state->pool);
	mrb_run(mrb, mrb_proc_new(mrb, mrb->irep[code_start_index]),
	mrb_nil_value()); }

2013-01-08 Kouhei Sutou <kou@clear-code.com>

	* doc/files.am, doc/source/reference/commands/view_add.txt: doc:
	remove view_add documentation

	* test/unit/run-test.rb, test/unit/tools/test-query-log-analyzer.rb:
	Remove a test for removed file

	* test/unit/gqtp/Makefile.am, test/unit/gqtp/test-cache.rb,
	test/unit/gqtp/test-load.rb, test/unit/gqtp/test-restore.rb,
	test/unit/gqtp/test-status.rb: test: remove needless GQTP tests  They
	should be done by grntest.

	* test/unit/http/Makefile.am, test/unit/http/test-http-crud.rb,
	test/unit/http/test-http-load.rb, test/unit/http/test-http-schema.rb,
	test/unit/http/test-http-select-basic.rb,
	test/unit/http/test-http-select-drilldown.rb,
	test/unit/http/test-http-select-weight.rb,
	test/unit/http/test-http.rb: test: remove needless HTTP tests  They
	should be done by grntest.

	* include/groonga.h, lib/db.c, lib/db.h, lib/expr.c, lib/output.c,
	lib/proc.c, lib/str.c, lib/util.c, plugins/suggest/suggest.c,
	plugins/table/table.c, test/unit/core/Makefile.am,
	test/unit/core/test-command-dump.c,
	test/unit/core/test-view-operations.c, test/unit/core/test-view.c,
	test/unit/lib/grn-assertions.c, test/unit/lib/grn-assertions.h,
	test/unit/lib/grn-test-utils.c, test/unit/lib/grn-test-utils.h: Remove
	view related codes  View is an experimental feature. So nobody isn't
	used it.

2013-01-07 Kouhei Sutou <kou@clear-code.com>

	* lib/proc.c, .../suite/select/filter/query/function.expected,
	.../suite/select/filter/query/function.test,
	.../suite/select/filter/query/selector.expected,
	.../suite/select/filter/query/selector.test: Add query() function  We
	can use --match_columns and --query feature in --filter. Both of the
	following commands return the same result:  --query version:  select
	Users \ --output_columns name,_score \ --match_columns "name * 10" \
	--query alice  --filter version:  select Users \ --output_columns
	name,_score \ --filter 'query("name * 10", "alice")'  With query()
	function, we can specify multiple query()s in a select command.  TODO:
	* Support query_expansion * Support query_flags * Document it

	* .../nested/by_column/double_array_tire.expected,
	.../index/nested/by_column/double_array_tire.test,
	.../select/index/nested/by_column/hash.expected,
	.../suite/select/index/nested/by_column/hash.test,
	.../index/nested/by_column/patricia_trie.expected,
	.../index/nested/by_column/patricia_trie.test,
	.../select/index/nested/by_column/scalar.expected,
	.../select/index/nested/by_column/scalar.test,
	.../select/index/nested/by_column/vector.expected,
	.../select/index/nested/by_column/vector.test,
	.../select/index/nested/by_column/weight.expected,
	.../select/index/nested/by_column/weight.test,
	.../nested/by_column/with_top_level_index.expected,
	.../nested/by_column/with_top_level_index.test,
	.../select/index/nested/double_array_tire.expected,
	.../select/index/nested/double_array_tire.test,
	.../suite/select/index/nested/hash.expected,
	test/command/suite/select/index/nested/hash.test,
	.../select/index/nested/patricia_trie.expected,
	.../suite/select/index/nested/patricia_trie.test,
	.../suite/select/index/nested/scalar.expected,
	test/command/suite/select/index/nested/scalar.test,
	.../suite/select/index/nested/vector.expected,
	test/command/suite/select/index/nested/vector.test,
	.../suite/select/index/nested/weight.expected,
	test/command/suite/select/index/nested/weight.test,
	.../index/nested/with_top_level_index.expected,
	.../select/index/nested/with_top_level_index.test: test: group nested
	index tests by "by_column"  test/command/suite/select/index/nested/ ->
	test/command/suite/select/index/nested/by_column/

2012-12-29 Kouhei Sutou <kou@clear-code.com>

	* packages/rpm/centos/groonga.spec.in,
	packages/rpm/fedora/groonga.spec.in: rpm: add 2.1.1-0 entry

	* lib/dat.cpp, lib/db.c, lib/hash.c, lib/pat.c: Fix a bug that updated
	flags aren't used on open

	* lib/dat.cpp, lib/hash.c, lib/pat.c: Use the same order with the
	corresponding if closure

	* include/groonga.h, lib/db.c, lib/normalizer.c: Don't assume that we
	can use fixed ID for normalizers  We can't use fixed ID for
	normalizers when we open a database that is created by old groonga.

	* lib/dat.cpp, lib/expr.c, lib/hash.c, lib/normalizer.c,
	lib/normalizer_in.h, lib/pat.c, lib/string.c: Reference the default
	normalizer by name instead of ID  Because ID of the default normalizer
	can't be fixed when we open a database that is created by old groonga.
	In the old database, we cannot use ID < 256 for normalizer because ID
	< 256 are already registered. :<

2012-12-28 Kouhei Sutou <kou@clear-code.com>

	* doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/commands/table_create.txt: doc ja: translate
	table_create

2012-12-28 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po, doc/source/news.txt,
	doc/source/reference/executables/groonga.txt: doc: update news about
	command list with continuous line

	* doc/source/example/reference/commands/status.log,
	.../table_create/lexicon_table_pat_key.log,
	.../example/reference/commands/table_list.log,
	.../reference/executables/groonga-httpd.log,
	doc/source/example/tutorial/introduction-2.log: doc: update examples

	* doc/locale/en/LC_MESSAGES/reference.po,
	doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/executables/groonga.txt: doc: add note about
	command list with continuous line

	* doc/locale/en/LC_MESSAGES/reference.po,
	doc/locale/en/LC_MESSAGES/server.po: doc en: update po

2012-12-28 Kouhei Sutou <kou@clear-code.com>

	* doc/locale/en/LC_MESSAGES/characteristic.po,
	doc/locale/en/LC_MESSAGES/geolocation_search.po,
	doc/locale/en/LC_MESSAGES/index.po,
	doc/locale/en/LC_MESSAGES/reference.po,
	doc/locale/en/LC_MESSAGES/troubleshooting.po,
	doc/locale/en/LC_MESSAGES/tutorial.po,
	doc/locale/ja/LC_MESSAGES/reference.po,
	doc/locale/ja/LC_MESSAGES/tutorial.po: doc: update po

2012-12-28 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/reference/executables/grntest.txt,
	doc/source/reference/executables/groonga-server-http.txt,
	doc/source/reference/grn_expr/script_syntax.txt,
	doc/source/server/http/comparison.txt: doc en: fix warnings about
	unknown document

2012-12-28 Kouhei Sutou <kou@clear-code.com>

	* .../table_create/data_store_table_no_key.log,
	.../table_create/lexicon_table_pat_key.log,
	.../table_create/tag_index_table_hash_key.log,
	.../example/reference/normalizers/example-load.log,
	.../reference/normalizers/example-table-create.log,
	.../reference/normalizers/normalizer-auto.log,
	.../reference/normalizers/normalizer-nfkc51.log: doc: add executed
	examples

2012-12-28 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/reference/functions/geo_distance.txt,
	doc/source/tutorial/data.txt, doc/source/tutorial/introduction.txt:
	doc en: fix warnings about unknown document

2012-12-28 Kouhei Sutou <kou@clear-code.com>

	* doc/source/reference.txt, doc/source/reference/type.txt,
	doc/source/reference/types.txt: doc: use plural form for file name
	type -> types

2012-12-27 Kouhei Sutou <kou@clear-code.com>

	* doc/source/reference.txt, doc/source/reference/normalizers.txt: doc:
	add documentation about normalizers

	* doc/source/reference.txt, doc/source/reference/tables.txt: doc: add
	documentation about tables

2012-12-27 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po, doc/source/news.txt: doc: add
	missing news entry

2012-12-26 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po: doc: update po

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po: doc: update po

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po: doc: update po

	* data/init.d/redhat/sysconfig/groonga-httpd,
	data/scripts/groonga-httpd-restart: rpm: add timeout setting  refs
	#1456

	* doc/source/install/centos.txt, doc/source/install/fedora.txt: doc:
	update rpm versions

2012-12-26 Kouhei Sutou <kou@clear-code.com>

	* include/groonga/tokenizer.h, lib/db.c, lib/ii.c, lib/token.c,
	lib/token.h, lib/tokenizer.c, plugins/suggest/suggest.c,
	plugins/tokenizers/kytea.cpp, plugins/tokenizers/mecab.c: Enable
	tokenized delimiter on searching  It is disabled on loading.

2012-12-25 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, .../select/index/nested/double_array_tire.expected,
	.../suite/select/index/nested/double_array_tire.test,
	test/command/suite/select/index/nested/hash.expected,
	test/command/suite/select/index/nested/hash.test,
	.../suite/select/index/nested/patricia_trie.expected,
	.../suite/select/index/nested/patricia_trie.test: Fix wrong ID for
	nested index

	* lib/db.c, .../select/index/nested/double_array_tire.expected,
	.../select/index/nested/double_array_tire.test,
	.../suite/select/index/nested/hash.expected,
	test/command/suite/select/index/nested/hash.test,
	.../select/index/nested/patricia_trie.expected,
	.../suite/select/index/nested/patricia_trie.test: Support key support
	tables for nested index  Key suppport tables are hash table, patricia
	trie and double array trie.

2012-12-25 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/install.po,
	doc/locale/ja/LC_MESSAGES/install.po: doc: update po

2012-12-25 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, .../select/output_columns/score/first.expected,
	.../suite/select/output_columns/score/first.test,
	.../select/output_columns/score/last.expected,
	.../suite/select/output_columns/score/last.test,
	.../select/output_columns/score/middle.expected,
	.../suite/select/output_columns/score/middle.test,
	.../select/output_columns/score/only.expected,
	.../suite/select/output_columns/score/only.test: Fix a bug that _score
	after "*" is ignored in --output_columns

2012-12-21 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, lib/token.c, lib/token.h: tokenizer uvector: rename to
	tokenize like name  grn_tokenizer_uvector -> grn_uvector_token

2012-12-21 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/install/ubuntu.txt, packages/check-utility.sh: doc: drop
	Ubuntu 11.04 (Naty Narwhal)

2012-12-21 Kouhei Sutou <kou@clear-code.com>

	* include/groonga/tokenizer.h, lib/token.c, lib/tokenizer.c,
	plugins/tokenizers/kytea.cpp, plugins/tokenizers/mecab.c: tokenizer:
	add normalizer_flags argument to grn_tokenizer_query_open()  Caution:
	This is backward incompatible change. But nobody created custom
	tokenizer. So nobody gets any damage. :p

	* include/groonga/tokenizer.h, lib/token.c, lib/token.h,
	lib/tokenizer.c: Make GRN_TOKEN_* public  GRN_TOKEN_* ->
	GRN_TOKENIZER_TOKEN_*

	* lib/ii.c, lib/token.c, lib/token.h: Use upper case name for
	grn_token_status enum type

	* lib/db.c, lib/ii.c, lib/token.c, lib/token.h: Use upper case name
	for grn_token_mode enum type

	* .../suite/table_list/multi_tables_xml.expected,
	.../command/suite/table_list/multi_tables_xml.test,
	test/unit/core/Makefile.am, test/unit/core/test-command-table-list.c:
	test table_list: migrate to grntest from Cutter

	* .../have_key/multi_columns_xml.expected,
	.../column_list/have_key/multi_columns_xml.test,
	.../index_column/multi_sources_xml.expected,
	.../index_column/multi_sources_xml.test: test column_list: add XML
	output cases

	* test/unit/core/Makefile.am,
	test/unit/core/test-command-column-list.c: Remove a needless Cutter
	test

	* .../index_column/multi_sources.expected,
	.../column_list/index_column/multi_sources.test,
	.../column_list/index_column/one_source.expected,
	.../suite/column_list/index_column/one_source.test: test column_list:
	add index column cases

	* .../column_list/have_key/multi_columns.expected,
	.../suite/column_list/have_key/multi_columns.test,
	.../suite/column_list/have_key/one_column.expected,
	.../suite/column_list/have_key/one_column.test,
	.../column_list/have_key/zero_column.expected,
	.../suite/column_list/have_key/zero_column.test,
	.../column_list/no_key/multi_columns.expected,
	.../suite/column_list/no_key/multi_columns.test,
	.../suite/column_list/no_key/one_column.expected,
	.../suite/column_list/no_key/one_column.test,
	.../suite/column_list/no_key/zero_column.expected,
	.../suite/column_list/no_key/zero_column.test: test column_list: add

	* lib/proc.c, .../suite/table_list/flags/default.expected,
	.../suite/table_list/flags/key_normalize.expected,
	.../suite/table_list/flags/key_with_sis.expected,
	.../suite/table_list/flags/table_dat_key.expected,
	.../suite/table_list/flags/table_hash_key.expected,
	.../suite/table_list/flags/table_pat_key.expected,
	.../command/suite/table_list/multi_tables.expected: table_list: use
	null instead of "null" for GRN_ID_NIL  CAUTION: This is backward
	incompatible change. If you use table_list command and domain and
	range value of the output, you may change your program. "No object" is
	represented as null (null value) instead of "null" (string value)
	since this change.

	* lib/proc.c, test/command/suite/table_list/flags/default.expected,
	test/command/suite/table_list/flags/key_normalize.expected,
	test/command/suite/table_list/flags/key_with_sis.expected,
	test/command/suite/table_list/flags/table_dat_key.expected,
	test/command/suite/table_list/flags/table_hash_key.expected,
	test/command/suite/table_list/flags/table_pat_key.expected,
	test/command/suite/table_list/multi_tables.expected,
	test/command/suite/table_list/one_table.expected,
	test/command/suite/table_list/zero_table.expected: table_list: add
	missing default_tokenizer and normalizer headers

	* test/command/suite/table_list/flags/default.expected,
	test/command/suite/table_list/flags/key_with_sis.expected,
	test/command/suite/table_list/flags/table_dat_key.expected,
	test/command/suite/table_list/flags/table_hash_key.expected,
	test/command/suite/table_list/flags/table_pat_key.expected,
	test/command/suite/table_list/multi_tables.expected,
	test/command/suite/table_list/one_table.expected: test table_list:
	follow default tokenizer and normalizer add change

2012-12-20 Kouhei Sutou <kou@clear-code.com>

	* lib/proc.c, .../suite/table_list/flags/key_normalize.expected:
	table_list: add default_tokenizer and normalizer

	* lib/db.c, test/command/suite/truncate/key_normalize_dat.expected,
	test/command/suite/truncate/key_normalize_dat.test,
	test/command/suite/truncate/key_normalize_hash.expected,
	test/command/suite/truncate/key_normalize_hash.test,
	test/command/suite/truncate/key_normalize_pat.expected,
	test/command/suite/truncate/key_normalize_pat.test,
	test/command/suite/truncate/normalizer_dat.expected,
	test/command/suite/truncate/normalizer_dat.test,
	test/command/suite/truncate/normalizer_hash.expected,
	test/command/suite/truncate/normalizer_hash.test,
	test/command/suite/truncate/normalizer_pat.expected,
	test/command/suite/truncate/normalizer_pat.test: truncate: support
	normalizer

2012-12-20 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/news.txt, doc/source/tutorial/match_columns.txt: doc: add
	2.1.0 entry

	* doc/locale/en/LC_MESSAGES/install.po,
	doc/locale/ja/LC_MESSAGES/install.po: doc: update version

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/mac_os_x.txt,
	doc/source/install/others.txt, doc/source/install/solaris.txt,
	doc/source/install/ubuntu.txt, doc/source/install/windows.txt: doc:
	update version

	* packages/debian/changelog, packages/rpm/centos/groonga.spec.in,
	packages/rpm/fedora/groonga.spec.in: deb rpm: add 2.1.0 entry

2012-12-20 Kouhei Sutou <kou@clear-code.com>

	* include/groonga.h, lib/ctx.c: Remove needless _info suffix
	grn_query_logger_info -> grn_query_logger

	* include/groonga.h, lib/ctx.c: Fix query logger API  The previous API
	isn't usable... Sorry...

2012-12-19 Kouhei Sutou <kou@clear-code.com>

	* include/groonga.h, lib/ctx.c: Export grn_query_logger_reopen()

2012-12-17 Kouhei Sutou <kou@clear-code.com>

	* lib/proc.c, .../table_create/normalizer/auto/utf8.expected,
	.../suite/table_create/normalizer/auto/utf8.test,
	.../table_create/normalizer/nfkc51/utf8.expected,
	.../suite/table_create/normalizer/nfkc51/utf8.test,
	.../table_create/normalizer/nonexistent.expected,
	.../suite/table_create/normalizer/nonexistent.test: table_create: add
	--normalizer option  dump command also supports --normalizer option.
	TODO: grndump in rroonga should also support --normalizer option.

2012-12-14 Kouhei Sutou <kou@clear-code.com>

	* include/groonga.h, include/groonga/Makefile.am,
	include/groonga/normalizer.h, lib/ctx.c, lib/dat.cpp, lib/dat.h,
	lib/db.c, lib/db.h, lib/expr.c, lib/hash.c, lib/hash.h, lib/ii.c,
	lib/normalizer.c, lib/normalizer_in.h, lib/pat.c, lib/pat.h,
	lib/sources.am, lib/string.c, lib/token.c, lib/tokenizer.c,
	lib/util.c, test/unit/core/dat/test-dat.cpp,
	test/unit/util/test-snip.c, test/unit/util/test-string.c: Make
	normalizer grn_obj  We can create a normalizer as a plugin. Yay!
	TODO:  * Add --normalizer option to table_create command * Add Unicode
	Collation Algorithm (UCA) based normalizer as a plugin  We don't
	inplement NFKC normalizer as plugin because it is used by
	NormalizerAuto internaly.

	* .../suite/select/query/match/no_index.expected,
	.../command/suite/select/query/match/no_index.test: Add a test for
	pseudo match for non-index case

	* lib/string.c, lib/string_in.h, lib/util.c, lib/util.h: Support
	GRN_STRING inspection

2012-12-12 Kouhei Sutou <kou@clear-code.com>

	* lib/str.c, lib/str.h, src/grnslap.c, src/groonga.c,
	src/groonga_benchmark.c, src/suggest/groonga_suggest_httpd.c: Use
	UPPER_CASE for grn_str_getopt_op enum values  GitHub: #43

	* include/groonga.h, lib/db.c: grn_ctx_get() accepts negative value as
	name size  Negative value means that name is NULL-terminated.  GitHub:
	#46

2012-12-04 Kouhei Sutou <kou@clear-code.com>

	* lib/expr.c, .../select/function/snippet_html/concat.expected,
	.../suite/select/function/snippet_html/concat.test: Support
	snippet_html("STRING" + "STRING")  Reported by Tomoatsu Shimada.
	Thanks!!!

2012-11-30 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/tutorial.po,
	doc/locale/ja/LC_MESSAGES/tutorial.po,
	doc/source/tutorial/match_columns.txt: doc: add more description for
	execution examples

	* doc/files.am, ...s-nested-index-data-with-three-relationship.log,
	.../tutorial/match_columns-nested-index-data2.log,
	...nested-index-schema-with-three-relationship.log,
	.../match_columns-nested-index-schema2.log,
	...nested-index-select-with-three-relationship.log,
	.../match_columns-nested-index-select2.log,
	doc/source/tutorial/match_columns.txt: doc: update execution examples

	* doc/locale/en/LC_MESSAGES/tutorial.po,
	doc/locale/ja/LC_MESSAGES/tutorial.po: doc: update po

	* .../tutorial/match_columns-nested-index-data.log,
	.../tutorial/match_columns-nested-index-data2.log,
	.../tutorial/match_columns-nested-index-schema.log,
	.../match_columns-nested-index-schema2.log,
	.../tutorial/match_columns-nested-index-select.log,
	.../match_columns-nested-index-select2.log: doc: add execution
	examples

2012-11-28 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/reference.po,
	doc/locale/en/LC_MESSAGES/server.po,
	doc/locale/en/LC_MESSAGES/spec.po: doc en: update po

2012-11-27 Kouhei Sutou <kou@clear-code.com>

	* test/command/suite/table/get/exist.expected,
	test/command/suite/table/get/exist.test,
	test/command/suite/table/get/not_exist.expected,
	test/command/suite/table/get/not_exist.test: test: fix invalid JSON
	Remove needless the last comma.

	* .../select/filter/arithmetic_operation/signed_right_shift.expected,
	.../suite/select/filter/arithmetic_operation/signed_right_shift.test,
	.../select/filter/arithmetic_operation/unsigned_right_shift.expected,
	.../select/filter/arithmetic_operation/unsigned_right_shift.test:
	test: fix invalid JSON  Remove needless the last comma.

	* test/command/fixture/geo/taiyaki/areas.grn,
	test/command/fixture/geo/taiyaki/categories.grn: test: fix invalid
	JSON

	*
	.../command/suite/select/query_expansion/scalar/parenthesis.expected,
	test/command/suite/select/query_expansion/scalar/parenthesis.test,
	.../command/suite/select/query_expansion/vector/parenthesis.expected,
	test/command/suite/select/query_expansion/vector/parenthesis.test:
	test: add missing record separate comma

	* .../suite/select/filter/set_operation/not_and/and.expected,
	.../command/suite/select/filter/set_operation/not_and/and.test,
	.../suite/select/filter/set_operation/not_and/not_and.expected,
	.../suite/select/filter/set_operation/not_and/not_and.test,
	.../suite/select/filter/set_operation/not_and/or.expected,
	test/command/suite/select/filter/set_operation/not_and/or.test,
	.../filter/set_operation/not_and/single_expression.expected,
	.../select/filter/set_operation/not_and/single_expression.test,
	.../suite/select/score/need_temporary_table/and.expected,
	test/command/suite/select/score/need_temporary_table/and.test,
	.../suite/select/score/need_temporary_table/or.expected,
	test/command/suite/select/score/need_temporary_table/or.test: test:
	add missing double quotes to JSON keys

	* .../suite/table_create/default_tokenizer/delimit/default.expected,
	.../suite/table_create/default_tokenizer/delimit/default.test,
	.../table_create/default_tokenizer/delimit/normalize.expected,
	.../suite/table_create/default_tokenizer/delimit/normalize.test,
	.../default_tokenizer/delimit/tokenized_delimiter/default.expected,
	.../default_tokenizer/delimit/tokenized_delimiter/default.test,
	.../delimit/tokenized_delimiter/normalize.expected,
	.../default_tokenizer/delimit/tokenized_delimiter/normalize.test,
	.../suite/table_create/default_tokenizer/nonexistent.expected,
	test/command/suite/table_create/default_tokenizer/nonexistent.test:
	test: add missing double quotes to JSON keys

2012-11-26 HAYASHI Kentaro <hayashi@clear-code.com>

	* include/groonga/plugin.h, include/groonga/tokenizer.h: windows:
	export required symbols

	* include/groonga/plugin.h, include/groonga/tokenizer.h: windows:
	export required symbols

	* test/command/suite/select/index/nested/scalar.expected,
	test/command/suite/select/index/nested/scalar.test: test: fix a typo
	of column index name

2012-11-26 Kouhei Sutou <kou@clear-code.com>

	* .logaling/glossary/groonga.en.ja.tsv,
	doc/locale/ja/LC_MESSAGES/reference.po: glossary: add "query expander"

	* doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/functions/snippet_html.txt: doc ja: translate
	snippet_html

	* doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/command.txt,
	doc/source/reference/commands/register.txt,
	doc/source/reference/function.txt: doc ja: translate register command

	* doc/locale/ja/LC_MESSAGES/spec.po, doc/source/spec/gqtp.txt: doc ja:
	translate GQTP specification

	* doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/command/output_format.txt,
	doc/source/reference/command/return_code.txt: doc ja: translate output
	type and return code

2012-11-22 Kouhei Sutou <kou@clear-code.com>

	* .../output_columns/nonexistent/nested.actual,
	.../output_columns/nonexistent/nested.expected: Rename to .expected
	file  I forgot it. Sorry.

	* .../output_columns/nonexistent/nested.actual,
	.../select/output_columns/nonexistent/nested.test: Add a test for
	nested accessor for nonexistent column

2012-11-22 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/ja/LC_MESSAGES/news.po, doc/source/news.txt: doc: update
	news in response to the feedback

2012-11-22 Kouhei Sutou <kou@clear-code.com>

	* lib/expr.c, .../suite/select/index/range/greater/time.expected,
	.../suite/select/index/range/greater/time.test,
	.../select/index/range/greater_equal/time.expected,
	.../select/index/range/greater_equal/time.test,
	.../suite/select/index/range/less/time.expected,
	.../suite/select/index/range/less/time.test,
	.../select/index/range/less_equal/time.expected,
	.../suite/select/index/range/less_equal/time.test: Support range
	search by index

	* test/command/suite/select/index/int16.expected,
	test/command/suite/select/index/int16.test,
	test/command/suite/select/index/int32.expected,
	test/command/suite/select/index/int32.test,
	test/command/suite/select/index/int64.expected,
	test/command/suite/select/index/int64.test,
	test/command/suite/select/index/int8.expected,
	test/command/suite/select/index/int8.test,
	.../suite/select/index/match/int16.expected,
	test/command/suite/select/index/match/int16.test,
	.../suite/select/index/match/int32.expected,
	test/command/suite/select/index/match/int32.test,
	.../suite/select/index/match/int64.expected,
	test/command/suite/select/index/match/int64.test,
	.../command/suite/select/index/match/int8.expected,
	test/command/suite/select/index/match/int8.test,
	.../suite/select/index/match/uint16.expected,
	test/command/suite/select/index/match/uint16.test,
	.../suite/select/index/match/uint32.expected,
	test/command/suite/select/index/match/uint32.test,
	.../suite/select/index/match/uint64.expected,
	test/command/suite/select/index/match/uint64.test,
	.../suite/select/index/match/uint8.expected,
	test/command/suite/select/index/match/uint8.test,
	test/command/suite/select/index/uint16.expected,
	test/command/suite/select/index/uint16.test,
	test/command/suite/select/index/uint32.expected,
	test/command/suite/select/index/uint32.test,
	test/command/suite/select/index/uint64.expected,
	test/command/suite/select/index/uint64.test,
	test/command/suite/select/index/uint8.expected,
	test/command/suite/select/index/uint8.test: test: group index search
	by "@" tests  test/command/suite/select/index/*.{test,expected} ->
	test/command/suite/select/index/match/*.{test,expected}

	* doc/locale/ja/LC_MESSAGES/server.po,
	doc/source/server/http/comparison.txt: doc ja: translate HTTP server
	comparision document

	* doc/locale/ja/LC_MESSAGES/community.po,
	doc/locale/ja/LC_MESSAGES/reference.po,
	doc/locale/ja/LC_MESSAGES/server.po,
	doc/locale/ja/LC_MESSAGES/spec.po,
	doc/locale/ja/LC_MESSAGES/tutorial.po: doc: update po

2012-11-22 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/contribution.po,
	doc/locale/ja/LC_MESSAGES/contribution.po,
	doc/source/contribution.txt: doc: update description 'how to
	contribute' section

2012-11-22 Kouhei Sutou <kou@clear-code.com>

	* doc/files.am, .../reference/functions/snippet_html/usage.log,
	.../functions/snippet_html/usage_basic.log,
	.../functions/snippet_html/usage_setup.log,
	.../snippet_html/usage_string_literal.log,
	doc/source/reference/functions/snippet_html.txt: doc: add about
	snippet_html function

2012-11-22 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/en/LC_MESSAGES/reference.po,
	doc/locale/en/LC_MESSAGES/spec.po: doc en: update po

	* doc/source/news.txt, doc/source/reference/indexing.txt: doc: update
	description more user friendly

2012-11-22 Kouhei Sutou <kou@clear-code.com>

	* doc/source/reference.txt, doc/source/reference/function.txt,
	doc/source/reference/functions.txt: doc: write function documenation
	in English

	* doc/source/reference/command/output_format.txt,
	doc/source/reference/command/return_code.txt: doc: add about return
	code

2012-11-21 Kouhei Sutou <kou@clear-code.com>

	* lib/tokenizer.c,
	.../default_tokenizer/bigram/tokenized_delimiter/default.test,
	.../default_tokenizer/bigram/tokenized_delimiter/normalize.test,
	.../default_tokenizer/delimit/tokenized_delimiter/default.test,
	.../default_tokenizer/delimit/tokenized_delimiter/normalize.test,
	.../default_tokenizer/kytea/tokenized_delimiter/default.test,
	.../default_tokenizer/kytea/tokenized_delimiter/normalize.test,
	.../default_tokenizer/mecab/tokenized_delimiter/default.test,
	.../default_tokenizer/mecab/tokenized_delimiter/normalize.test:
	Disable tokenized delimiter for now  TODO: We should handle it just on
	query expander -> tokenizer phase not all phases.

2012-11-21 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/source/news.txt, doc/source/spec/gqtp.txt: doc: update news

2012-11-21 Kouhei Sutou <kou@clear-code.com>

	* doc/source/reference/command.txt,
	doc/source/reference/command/output_format.txt: doc: add document
	about output format  It is not completed yet...

	* doc/source/reference.txt, doc/source/reference/command.txt,
	doc/source/reference/commands.txt: doc: use reference/command.txt as
	the entry point for command information  reference/commands.txt ->
	reference/command.txt

	* doc/source/reference/command/command_version.txt,
	doc/source/reference/command_version.txt,
	doc/source/reference/commands.txt: doc: create reference/command/ for
	command related documents  reference/command_version ->
	reference/command/command_version

	* doc/Makefile.am, .../commands/register/query_expanders_tsv.log,
	doc/source/reference/commands/register.txt: doc: add about register
	command

2012-11-21 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/en/LC_MESSAGES/news.po,
	doc/locale/en/LC_MESSAGES/suggest.po: doc en: update po

	* doc/locale/en/LC_MESSAGES/community.po,
	doc/locale/en/LC_MESSAGES/contribution.po,
	doc/locale/en/LC_MESSAGES/install.po,
	doc/locale/en/LC_MESSAGES/reference.po,
	doc/locale/en/LC_MESSAGES/spec.po,
	doc/locale/en/LC_MESSAGES/tutorial.po: doc en: update po

	* doc/source/install/centos.txt, doc/source/install/debian.txt,
	doc/source/install/fedora.txt, doc/source/install/mac_os_x.txt,
	doc/source/install/others.txt, doc/source/install/solaris.txt,
	doc/source/install/ubuntu.txt, doc/source/install/windows.txt: doc:
	update version

	* packages/debian/changelog, packages/rpm/centos/groonga.spec.in,
	packages/rpm/fedora/groonga.spec.in: deb rpm: add 2.0.8 entry

2012-11-21 Kouhei Sutou <kou@clear-code.com>

	*
	test/command/suite/table_create/default_tokenizer/kytea/default.test,
	.../command/suite/table_create/default_tokenizer/kytea/normalize.test,
	.../default_tokenizer/kytea/tokenized_delimiter/default.test,
	.../default_tokenizer/kytea/tokenized_delimiter/normalize.test: test:
	reduce custom error handling range

2012-11-20 Kouhei Sutou <kou@clear-code.com>

	* include/groonga/plugin.h, lib/plugin.c: tokenizer: add
	grn_plugin_mutex_{open,close}()  Because API consistency. open/close
	pair is used for creating/freeing object in groonga.
	grn_plugin_mutex_{create,destroy}() were deprecated.

	* plugins/tokenizers/kytea.cpp, plugins/tokenizers/mecab.c: tokenizer:
	use grn_tokenizer_query_{open,close}

	* include/groonga/tokenizer.h, lib/tokenizer.c: tokenizer: add
	grn_tokenizer_query_{open,close}()  Because API consistency.
	open/close pair is used for creating/freeing object in groonga.
	grn_tokenizer_query_{create,destroy}() were deprecated.

2012-11-19 HAYASHI Kentaro <hayashi@clear-code.com>

	*
	test/command/suite/table_create/default_tokenizer/kytea/default.test,
	.../command/suite/table_create/default_tokenizer/kytea/normalize.test,
	.../default_tokenizer/kytea/tokenized_delimiter/default.test,
	.../default_tokenizer/kytea/tokenized_delimiter/normalize.test: test:
	use #@on-error directive

2012-11-19 Kouhei Sutou <kou@clear-code.com>

	* include/groonga.h, lib/db.c, lib/proc.c: grn_proc_create() accepts
	-1  It means that name is NULL terminated string. Name size is
	computed in grn_proc_create().

	* lib/proc.c, .../suite/select/function/snippet/more.expected,
	.../suite/select/function/snippet/more.test,
	.../suite/select/function/snippet/one.expected,
	.../command/suite/select/function/snippet/one.test,
	.../select/function/snippet_html/more.expected,
	.../suite/select/function/snippet_html/more.test,
	.../select/function/snippet_html/one.expected,
	.../suite/select/function/snippet_html/one.test: snippet() ->
	snippet_html()

2012-11-16 Kouhei Sutou <kou@clear-code.com>

	* lib/db.c, .../suite/delete/index/fix_size_column.expected,
	.../suite/delete/index/fix_size_column.test: Fix a bug that deleting
	record can be found  If a record has fixed size column (e.g. Int32)
	and it is indexed, the bug is occurred. If a record is deleted, the
	deleted record can be found index search with 0 value. 0 value for
	Int32 is 0.  This fixes mroonga's bug found at
	c2b8afce57c89286f8118ebcc5e6260c902c2488.

2012-11-15 HAYASHI Kentaro <hayashi@clear-code.com>

	* .../geo_distance_distance_rectangle_across.log,
	..._distance_distance_rectangle_across_equator.log,
	...distance_distance_rectangle_across_meridian.log,
	...nce_distance_rectangle_across_the_date_line.log: doc: split
	execution examples

2012-11-14 Kouhei Sutou <kou@clear-code.com>

	* .../default_tokenizer/nonexistent.expected,
	.../default_tokenizer/nonexistent.test: Add a test for specifying
	nonexistent default tokenizer

	* test/command/suite/load/index/offline/key.expected,
	test/command/suite/load/index/offline/key.test: Add a test for offline
	index construction of _key

	* .../suite/load/index/offline/multi_column.expected,
	.../suite/load/index/offline/multi_column.test: Add a test for offline
	index construction of multi column index

2012-11-14 HAYASHI Kentaro <hayashi@clear-code.com>

	* doc/locale/ja/LC_MESSAGES/reference.po,
	doc/source/reference/functions/geo_distance.txt: doc: update the
	description about limitation of geo_distance  refs #1534

	* .../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_90_degrees.expected,
	.../almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../on_0_degree_to_almost_0_degree_larger.expected,
	.../on_0_degree_to_almost_90_degrees_smaller.expected,
	.../on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_90_degrees.expected,
	...rect_almost_90_degrees_smaller_to_on_90_degrees.expected,
	.../rect_on_0_degree_to_almost_0_degree_larger.expected,
	.../rect_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rect_on_0_degree_to_on_90_degrees.expected,
	...st_0_degree_larger_to_almost_90_degrees_smaller.expected,
	...ctangle_almost_0_degree_larger_to_on_90_degrees.expected,
	...ngle_almost_90_degrees_smaller_to_on_90_degrees.expected,
	...rectangle_on_0_degree_to_almost_0_degree_larger.expected,
	...tangle_on_0_degree_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_0_degree_to_on_90_degrees.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	.../almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../almost_90_degrees_smaller_to_on_0_degree.expected,
	.../on_90_degrees_to_almost_0_degree_larger.expected,
	.../on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_90_degrees_to_on_0_degree.expected,
	.../rect_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	.../rect_almost_90_degrees_smaller_to_on_0_degree.expected,
	.../rect_on_90_degrees_to_almost_0_degree_larger.expected,
	...rect_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_90_degrees_to_on_0_degree.expected,
	...rectangle_almost_0_degree_larger_to_on_0_degree.expected,
	...st_90_degrees_smaller_to_almost_0_degree_larger.expected,
	...tangle_almost_90_degrees_smaller_to_on_0_degree.expected,
	...ctangle_on_90_degrees_to_almost_0_degree_larger.expected,
	...ngle_on_90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_90_degrees_to_on_0_degree.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	.../almost_90_degrees_smaller_to_on_-90_degrees.expected,
	.../on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_90_degrees_to_almost_0_degree_smaller.expected,
	.../on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...ect_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...rect_on_90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_90_degrees_to_on_-90_degrees.expected,
	...st_0_degree_larger_to_almost_-90_degrees_larger.expected,
	...most_0_degree_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_0_degree_larger_to_on_-90_degrees.expected,
	...90_degrees_smaller_to_almost_-90_degrees_larger.expected,
	...t_90_degrees_smaller_to_almost_0_degree_smaller.expected,
	...gle_almost_90_degrees_smaller_to_on_-90_degrees.expected,
	...ngle_on_90_degrees_to_almost_-90_degrees_larger.expected,
	...tangle_on_90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_90_degrees_to_on_-90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_0_degree.expected,
	.../almost_0_degree_smaller_to_on_0_degree.expected,
	.../on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	.../rect_almost_-90_degrees_larger_to_on_0_degree.expected,
	.../rect_almost_0_degree_smaller_to_on_0_degree.expected,
	...ect_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rect_on_-90_degrees_to_on_0_degree.expected,
	...t_-90_degrees_larger_to_almost_0_degree_smaller.expected,
	...tangle_almost_-90_degrees_larger_to_on_0_degree.expected,
	...ectangle_almost_0_degree_smaller_to_on_0_degree.expected,
	...gle_on_-90_degrees_to_almost_-90_degrees_larger.expected,
	...angle_on_-90_degrees_to_almost_0_degree_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_0_degree.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	.../almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../on_0_degree_to_almost_-90_degrees_larger.expected,
	.../on_0_degree_to_almost_0_degree_smaller.expected,
	.../on_0_degree_to_on_-90_degrees.expected,
	...ect_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	.../rect_almost_0_degree_smaller_to_on_-90_degrees.expected,
	.../rect_on_0_degree_to_almost_-90_degrees_larger.expected,
	.../rect_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rect_on_0_degree_to_on_-90_degrees.expected,
	...gle_almost_-90_degrees_larger_to_on_-90_degrees.expected,
	...t_0_degree_smaller_to_almost_-90_degrees_larger.expected,
	...angle_almost_0_degree_smaller_to_on_-90_degrees.expected,
	...tangle_on_0_degree_to_almost_-90_degrees_larger.expected,
	...ectangle_on_0_degree_to_almost_0_degree_smaller.expected,
	.../rectangle_on_0_degree_to_on_-90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...ngle_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	...tangle_almost_0_degree_smaller_to_on_90_degrees.expected,
	...tangle_on_-90_degrees_to_almost_0_degree_larger.expected,
	...gle_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rectangle_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	.../almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../almost_0_degree_smaller_to_on_90_degrees.expected,
	.../on_-90_degrees_to_almost_0_degree_larger.expected,
	.../on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
	...rect_almost_-90_degrees_larger_to_on_90_degrees.expected,
	...most_0_degree_smaller_to_almost_0_degree_larger.expected,
	...t_0_degree_smaller_to_almost_90_degrees_smaller.expected,
	.../rect_almost_0_degree_smaller_to_on_90_degrees.expected,
	.../rect_on_-90_degrees_to_almost_0_degree_larger.expected,
	...ect_on_-90_degrees_to_almost_90_degrees_smaller.expected,
	.../rect_on_-90_degrees_to_on_90_degrees.expected,
	...st_-90_degrees_larger_to_almost_0_degree_larger.expected,
	...-90_degrees_larger_to_almost_90_degrees_smaller.expected,
